Index: general/genlib/libgsf.xml
===================================================================
--- general/genlib/libgsf.xml	(revision 520876aa20c408a38cff1dc42d81968c1b65ae5d)
+++ general/genlib/libgsf.xml	(revision 182b953b5bc36f253900d552cbe3fd5caed6fcba)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs81_checked;
+    &lfs82_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/platform/libwnck.xml
===================================================================
--- gnome/platform/libwnck.xml	(revision 520876aa20c408a38cff1dc42d81968c1b65ae5d)
+++ gnome/platform/libwnck.xml	(revision 182b953b5bc36f253900d552cbe3fd5caed6fcba)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs81_checked;
+    &lfs822checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: postlfs/editors/nano.xml
===================================================================
--- postlfs/editors/nano.xml	(revision 520876aa20c408a38cff1dc42d81968c1b65ae5d)
+++ postlfs/editors/nano.xml	(revision 182b953b5bc36f253900d552cbe3fd5caed6fcba)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs81_checked;
+    &lfs82_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: xfce/core/garcon.xml
===================================================================
--- xfce/core/garcon.xml	(revision 520876aa20c408a38cff1dc42d81968c1b65ae5d)
+++ xfce/core/garcon.xml	(revision 182b953b5bc36f253900d552cbe3fd5caed6fcba)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs81_checked;
+    &lfs82_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: xfce/core/gtk-xfce-engine.xml
===================================================================
--- xfce/core/gtk-xfce-engine.xml	(revision 520876aa20c408a38cff1dc42d81968c1b65ae5d)
+++ xfce/core/gtk-xfce-engine.xml	(revision 182b953b5bc36f253900d552cbe3fd5caed6fcba)
@@ -39,5 +39,5 @@
     </para>
 
-    &lfs81_checked;
+    &lfs82_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: xfce/core/libxfce4ui.xml
===================================================================
--- xfce/core/libxfce4ui.xml	(revision 520876aa20c408a38cff1dc42d81968c1b65ae5d)
+++ xfce/core/libxfce4ui.xml	(revision 182b953b5bc36f253900d552cbe3fd5caed6fcba)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs81_checked;
+    &lfs82_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: xfce/core/libxfce4util.xml
===================================================================
--- xfce/core/libxfce4util.xml	(revision 520876aa20c408a38cff1dc42d81968c1b65ae5d)
+++ xfce/core/libxfce4util.xml	(revision 182b953b5bc36f253900d552cbe3fd5caed6fcba)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs81_checked;
+    &lfs82_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: xfce/core/thunar-volman.xml
===================================================================
--- xfce/core/thunar-volman.xml	(revision 520876aa20c408a38cff1dc42d81968c1b65ae5d)
+++ xfce/core/thunar-volman.xml	(revision 182b953b5bc36f253900d552cbe3fd5caed6fcba)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs81_checked;
+    &lfs82_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: xfce/core/thunar.xml
===================================================================
--- xfce/core/thunar.xml	(revision 520876aa20c408a38cff1dc42d81968c1b65ae5d)
+++ xfce/core/thunar.xml	(revision 182b953b5bc36f253900d552cbe3fd5caed6fcba)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs81_checked;
+    &lfs82_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: xfce/core/tumbler.xml
===================================================================
--- xfce/core/tumbler.xml	(revision 520876aa20c408a38cff1dc42d81968c1b65ae5d)
+++ xfce/core/tumbler.xml	(revision 182b953b5bc36f253900d552cbe3fd5caed6fcba)
@@ -38,5 +38,5 @@
     </para>
 
-    &lfs81_checked;
+    &lfs82_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: xfce/core/xfce4-appfinder.xml
===================================================================
--- xfce/core/xfce4-appfinder.xml	(revision 520876aa20c408a38cff1dc42d81968c1b65ae5d)
+++ xfce/core/xfce4-appfinder.xml	(revision 182b953b5bc36f253900d552cbe3fd5caed6fcba)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs81_checked;
+    &lfs82_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: xfce/core/xfce4-panel.xml
===================================================================
--- xfce/core/xfce4-panel.xml	(revision 520876aa20c408a38cff1dc42d81968c1b65ae5d)
+++ xfce/core/xfce4-panel.xml	(revision 182b953b5bc36f253900d552cbe3fd5caed6fcba)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs81_checked;
+    &lfs82_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: xfce/core/xfce4-power-manager.xml
===================================================================
--- xfce/core/xfce4-power-manager.xml	(revision 520876aa20c408a38cff1dc42d81968c1b65ae5d)
+++ xfce/core/xfce4-power-manager.xml	(revision 182b953b5bc36f253900d552cbe3fd5caed6fcba)
@@ -43,5 +43,5 @@
     </para>
 
-    &lfs81_checked;
+    &lfs82_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: xfce/core/xfce4-session.xml
===================================================================
--- xfce/core/xfce4-session.xml	(revision 520876aa20c408a38cff1dc42d81968c1b65ae5d)
+++ xfce/core/xfce4-session.xml	(revision 182b953b5bc36f253900d552cbe3fd5caed6fcba)
@@ -39,5 +39,5 @@
     </para>
 
-    &lfs81_checked;
+    &lfs82_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: xfce/core/xfce4-settings.xml
===================================================================
--- xfce/core/xfce4-settings.xml	(revision 520876aa20c408a38cff1dc42d81968c1b65ae5d)
+++ xfce/core/xfce4-settings.xml	(revision 182b953b5bc36f253900d552cbe3fd5caed6fcba)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs81_checked;
+    &lfs82_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: xfce/core/xfconf.xml
===================================================================
--- xfce/core/xfconf.xml	(revision 520876aa20c408a38cff1dc42d81968c1b65ae5d)
+++ xfce/core/xfconf.xml	(revision 182b953b5bc36f253900d552cbe3fd5caed6fcba)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs81_checked;
+    &lfs82_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: xfce/core/xfdesktop.xml
===================================================================
--- xfce/core/xfdesktop.xml	(revision 520876aa20c408a38cff1dc42d81968c1b65ae5d)
+++ xfce/core/xfdesktop.xml	(revision 182b953b5bc36f253900d552cbe3fd5caed6fcba)
@@ -39,5 +39,5 @@
     </para>
 
-    &lfs81_checked;
+    &lfs82_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: xfce/core/xfwm4.xml
===================================================================
--- xfce/core/xfwm4.xml	(revision 520876aa20c408a38cff1dc42d81968c1b65ae5d)
+++ xfce/core/xfwm4.xml	(revision 182b953b5bc36f253900d552cbe3fd5caed6fcba)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs81_checked;
+    &lfs82_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>