Index: archive/x7driver-vmmouse.xml
===================================================================
--- archive/x7driver-vmmouse.xml	(revision 191f16681fa52a27aa35c221cd4346c964ba3bf9)
+++ archive/x7driver-vmmouse.xml	(revision 191f16681fa52a27aa35c221cd4346c964ba3bf9)
@@ -0,0 +1,214 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+
+  <!ENTITY xorg-vmmouse-driver-version "13.1.0">
+
+  <!ENTITY xorg-vmmouse-driver-download-http "&xorg-download-http;/driver/xf86-input-vmmouse-&xorg-vmmouse-driver-version;.tar.bz2">
+  <!ENTITY xorg-vmmouse-driver-download-ftp  "&xorg-download-ftp;/driver/xf86-input-vmmouse-&xorg-vmmouse-driver-version;.tar.bz2">
+  <!ENTITY xorg-vmmouse-driver-md5sum        "85e2e464b7219c495ad3a16465c226ed">
+  <!ENTITY xorg-vmmouse-driver-size          "312 KB">
+  <!ENTITY xorg-vmmouse-driver-buildsize     "2.9 MB">
+  <!ENTITY xorg-vmmouse-driver-time          "less than 0.1 SBU">
+]>
+
+  <!-- Begin Xorg VMMouse Driver -->
+  <sect2 id="xorg-vmmouse-driver" xreflabel="Xorg VMMouse Driver-&xorg-vmmouse-driver-version;">
+
+  <sect2info>
+    <othername>$LastChangedBy$</othername>
+    <date>$Date$</date>
+  </sect2info>
+
+    <title>Xorg VMMouse Driver-&xorg-vmmouse-driver-version;</title>
+
+    <indexterm zone="xorg-vmmouse-driver">
+      <primary sortas="a-xorg-vmmouse-driver">xorg-vmmouse-driver</primary>
+    </indexterm>
+
+    <sect3 role="package">
+      <title>Introduction to Xorg VMMouse Driver</title>
+
+      <para>
+        The <application>Xorg VMMouse Driver</application> package contains the
+        VMMouse input driver for the Xorg X server. The VMMouse driver enables
+        support for the special VMMouse protocol that is provided by VMware
+        virtual machines to give absolute pointer positioning. It can be used
+        with <application>Qemu</application>, too.
+      </para>
+
+      <note>
+        <para>
+          Starting with version 4.1, the linux kernel supports the VMMouse protocol
+          so that this driver is not needed anymore. Furthermore, kernel support
+          conflicts with earlier versions of this driver (before 13.1), so it is
+          advisable to either remove this driver if you plan to always use kernels
+          with versions greater or equal to 4.1, or update this driver to 13.1
+          or above if you want to be able to use both old and recent kernels.
+        </para>
+      </note>
+
+      &lfs84_checked;
+      <!-- I used this with both VMWare and QEMU. -->
+      <!-- with Kernel 5.1, this package is now obsolete and will cause X to crash.-->
+
+      <bridgehead renderas="sect4">Package Information</bridgehead>
+      <itemizedlist spacing="compact">
+        <listitem>
+          <para>
+            Download (HTTP): <ulink url="&xorg-vmmouse-driver-download-http;"/>
+          </para>
+        </listitem>
+        <listitem>
+          <para>
+            Download (FTP): <ulink url="&xorg-vmmouse-driver-download-ftp;"/>
+          </para>
+        </listitem>
+        <listitem>
+          <para>
+            Download MD5 sum: &xorg-vmmouse-driver-md5sum;
+          </para>
+        </listitem>
+        <listitem>
+          <para>
+            Download size: &xorg-vmmouse-driver-size;
+          </para>
+        </listitem>
+        <listitem>
+          <para>
+            Estimated disk space required: &xorg-vmmouse-driver-buildsize;
+          </para>
+        </listitem>
+        <listitem>
+          <para>
+            Estimated build time: &xorg-vmmouse-driver-time;
+          </para>
+        </listitem>
+      </itemizedlist>
+
+      <bridgehead renderas="sect4">Xorg VMMouse Driver Dependencies</bridgehead>
+
+      <bridgehead renderas="sect5">Required</bridgehead>
+      <para role="required">
+        <xref linkend="xorg-server"/>
+      </para>
+
+      <para condition="html" role="usernotes">
+        User Notes: <ulink url="&blfs-wiki;/xorg-vmmouse-driver"/>
+      </para>
+    </sect3>
+
+    <sect3 role="kernel" id="vmmouse-kernel">
+      <title>Kernel Configuration</title>
+
+    <para>
+      To get kernel support for the VMMouse, enable the following options in the
+      kernel configuration and recompile the kernel if necessary:
+    </para>
+
+<screen><literal>Processor type and features ---&gt;
+  [*] Symmetric multi-processing support          [CONFIG_SMP]
+  [*] Support for extended (non-PC) x86 platforms [CONFIG_X86_EXTENDED_PLATFORM]
+  [*] ScaleMP vSMP                                [CONFIG_X86_VSMP]
+Device Drivers ---&gt;
+  Input device support ---&gt;
+    [*] Mice ---&gt;                                 [CONFIG_INPUT_MOUSE]
+      &lt;*/M&gt; PS/2 mouse                            [CONFIG_MOUSE_PS2]
+      [*] Virtual mouse (vmmouse)                 [CONFIG_MOUSE_PS2_VMMOUSE]</literal></screen>
+    </sect3>
+    <sect3 role="installation">
+      <title>Installation of Xorg VMMouse Driver</title>
+
+      <para>
+        Install <application>Xorg VMMouse Driver</application> by running the
+        following commands:
+      </para>
+
+<screen><userinput>./configure $XORG_CONFIG               \
+            --without-hal-fdi-dir      \
+            --without-hal-callouts-dir \
+            --with-udev-rules-dir=/lib/udev/rules.d &amp;&amp;
+make</userinput></screen>
+
+      <para>
+        This package does not come with a test suite.
+      </para>
+
+      <para>
+        Now, as the <systemitem class="username">root</systemitem> user:
+      </para>
+
+<screen role="root"><userinput>make install</userinput></screen>
+    </sect3>
+
+    <sect3>
+      <title>Command Explanations</title>
+
+      <para>
+        <parameter>--with-udev-rules-dir=/lib/udev/rules.d</parameter>:
+        This switch specifies where udev rules should be installed.
+      </para>
+
+      <para>
+        <parameter>--without-hal-*-dir</parameter>: These switches disable
+        installation of the <application>HAL</application> components
+        which are not needed on Linux.
+      </para>
+
+    </sect3>
+
+    <sect3 role="content">
+      <title>Contents</title>
+
+      <segmentedlist>
+        <segtitle>Installed Program</segtitle>
+        <segtitle>Installed Xorg Drivers</segtitle>
+
+        <seglistitem>
+          <seg>
+            vmmouse_detect
+          </seg>
+          <seg>
+            vmmouse_drv.so
+          </seg>
+        </seglistitem>
+      </segmentedlist>
+
+      <variablelist>
+        <bridgehead renderas="sect4">Short Descriptions</bridgehead>
+        <?dbfo list-presentation="list"?>
+        <?dbhtml list-presentation="table"?>
+
+        <varlistentry id="vmmouse_detect">
+          <term><command>vmmouse_detect</command></term>
+          <listitem>
+            <para>
+              is a tool for detecting if running in a VMware environment where
+              vmmouse is used.
+            </para>
+            <indexterm zone="xorg-vmmouse-driver vmmouse_detect">
+              <primary sortas="b-vmmouse_detect">vmmouse_detect</primary>
+            </indexterm>
+          </listitem>
+        </varlistentry>
+
+        <varlistentry id="vmmouse_drv">
+          <term><filename class="libraryfile">vmmouse_drv.so</filename></term>
+          <listitem>
+            <para>
+              is an Xorg input driver for VMware Mouse.
+            </para>
+            <indexterm zone="xorg-vmmouse-driver vmmouse_drv">
+              <primary sortas="c-vmmouse_drv">vmmouse_drv.so</primary>
+            </indexterm>
+          </listitem>
+        </varlistentry>
+
+      </variablelist>
+
+    </sect3>
+
+  </sect2>
+  <!-- End Xorg VMMouse Driver -->
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision b18436b4f04058e2e8a55ae86369116ddaca17cd)
+++ introduction/welcome/changelog.xml	(revision 191f16681fa52a27aa35c221cd4346c964ba3bf9)
@@ -45,4 +45,12 @@
       <para>May 19th, 2019</para>
       <itemizedlist>
+        <listitem>
+          <para>[renodr] - Archive xf86-input-vmmouse. With kernel 5.1 and
+          later, VMWare made this driver obsolete by mapping VMMouse's
+          events into the evdev subsystem. Therefore,
+          xf86-input-evdev now works with it and this package can be archived.
+          Installing it on a VMWare or Qemu system with 5.1+ will cause
+          instability and other problems.</para>
+        </listitem>
         <listitem>
           <para>[ken] - Update details of Intel microcode. Fixes
Index: installing/x7driver-vmmouse.xml
===================================================================
--- x/installing/x7driver-vmmouse.xml	(revision b18436b4f04058e2e8a55ae86369116ddaca17cd)
+++ 	(revision )
@@ -1,213 +1,0 @@
-<?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
-   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
-  <!ENTITY % general-entities SYSTEM "../../general.ent">
-  %general-entities;
-
-  <!ENTITY xorg-vmmouse-driver-version "13.1.0">
-
-  <!ENTITY xorg-vmmouse-driver-download-http "&xorg-download-http;/driver/xf86-input-vmmouse-&xorg-vmmouse-driver-version;.tar.bz2">
-  <!ENTITY xorg-vmmouse-driver-download-ftp  "&xorg-download-ftp;/driver/xf86-input-vmmouse-&xorg-vmmouse-driver-version;.tar.bz2">
-  <!ENTITY xorg-vmmouse-driver-md5sum        "85e2e464b7219c495ad3a16465c226ed">
-  <!ENTITY xorg-vmmouse-driver-size          "312 KB">
-  <!ENTITY xorg-vmmouse-driver-buildsize     "2.9 MB">
-  <!ENTITY xorg-vmmouse-driver-time          "less than 0.1 SBU">
-]>
-
-  <!-- Begin Xorg VMMouse Driver -->
-  <sect2 id="xorg-vmmouse-driver" xreflabel="Xorg VMMouse Driver-&xorg-vmmouse-driver-version;">
-
-  <sect2info>
-    <othername>$LastChangedBy$</othername>
-    <date>$Date$</date>
-  </sect2info>
-
-    <title>Xorg VMMouse Driver-&xorg-vmmouse-driver-version;</title>
-
-    <indexterm zone="xorg-vmmouse-driver">
-      <primary sortas="a-xorg-vmmouse-driver">xorg-vmmouse-driver</primary>
-    </indexterm>
-
-    <sect3 role="package">
-      <title>Introduction to Xorg VMMouse Driver</title>
-
-      <para>
-        The <application>Xorg VMMouse Driver</application> package contains the
-        VMMouse input driver for the Xorg X server. The VMMouse driver enables
-        support for the special VMMouse protocol that is provided by VMware
-        virtual machines to give absolute pointer positioning. It can be used
-        with <application>Qemu</application>, too.
-      </para>
-
-      <note>
-        <para>
-          Starting with version 4.1, the linux kernel supports the VMMouse protocol
-          so that this driver is not needed anymore. Furthermore, kernel support
-          conflicts with earlier versions of this driver (before 13.1), so it is
-          advisable to either remove this driver if you plan to always use kernels
-          with versions greater or equal to 4.1, or update this driver to 13.1
-          or above if you want to be able to use both old and recent kernels.
-        </para>
-      </note>
-
-      &lfs84_checked;
-      <!-- I used this with both VMWare and QEMU. -->
-
-      <bridgehead renderas="sect4">Package Information</bridgehead>
-      <itemizedlist spacing="compact">
-        <listitem>
-          <para>
-            Download (HTTP): <ulink url="&xorg-vmmouse-driver-download-http;"/>
-          </para>
-        </listitem>
-        <listitem>
-          <para>
-            Download (FTP): <ulink url="&xorg-vmmouse-driver-download-ftp;"/>
-          </para>
-        </listitem>
-        <listitem>
-          <para>
-            Download MD5 sum: &xorg-vmmouse-driver-md5sum;
-          </para>
-        </listitem>
-        <listitem>
-          <para>
-            Download size: &xorg-vmmouse-driver-size;
-          </para>
-        </listitem>
-        <listitem>
-          <para>
-            Estimated disk space required: &xorg-vmmouse-driver-buildsize;
-          </para>
-        </listitem>
-        <listitem>
-          <para>
-            Estimated build time: &xorg-vmmouse-driver-time;
-          </para>
-        </listitem>
-      </itemizedlist>
-
-      <bridgehead renderas="sect4">Xorg VMMouse Driver Dependencies</bridgehead>
-
-      <bridgehead renderas="sect5">Required</bridgehead>
-      <para role="required">
-        <xref linkend="xorg-server"/>
-      </para>
-
-      <para condition="html" role="usernotes">
-        User Notes: <ulink url="&blfs-wiki;/xorg-vmmouse-driver"/>
-      </para>
-    </sect3>
-
-    <sect3 role="kernel" id="vmmouse-kernel">
-      <title>Kernel Configuration</title>
-
-    <para>
-      To get kernel support for the VMMouse, enable the following options in the
-      kernel configuration and recompile the kernel if necessary:
-    </para>
-
-<screen><literal>Processor type and features ---&gt;
-  [*] Symmetric multi-processing support          [CONFIG_SMP]
-  [*] Support for extended (non-PC) x86 platforms [CONFIG_X86_EXTENDED_PLATFORM]
-  [*] ScaleMP vSMP                                [CONFIG_X86_VSMP]
-Device Drivers ---&gt;
-  Input device support ---&gt;
-    [*] Mice ---&gt;                                 [CONFIG_INPUT_MOUSE]
-      &lt;*/M&gt; PS/2 mouse                            [CONFIG_MOUSE_PS2]
-      [*] Virtual mouse (vmmouse)                 [CONFIG_MOUSE_PS2_VMMOUSE]</literal></screen>
-    </sect3>
-    <sect3 role="installation">
-      <title>Installation of Xorg VMMouse Driver</title>
-
-      <para>
-        Install <application>Xorg VMMouse Driver</application> by running the
-        following commands:
-      </para>
-
-<screen><userinput>./configure $XORG_CONFIG               \
-            --without-hal-fdi-dir      \
-            --without-hal-callouts-dir \
-            --with-udev-rules-dir=/lib/udev/rules.d &amp;&amp;
-make</userinput></screen>
-
-      <para>
-        This package does not come with a test suite.
-      </para>
-
-      <para>
-        Now, as the <systemitem class="username">root</systemitem> user:
-      </para>
-
-<screen role="root"><userinput>make install</userinput></screen>
-    </sect3>
-
-    <sect3>
-      <title>Command Explanations</title>
-
-      <para>
-        <parameter>--with-udev-rules-dir=/lib/udev/rules.d</parameter>:
-        This switch specifies where udev rules should be installed.
-      </para>
-
-      <para>
-        <parameter>--without-hal-*-dir</parameter>: These switches disable
-        installation of the <application>HAL</application> components
-        which are not needed on Linux.
-      </para>
-
-    </sect3>
-
-    <sect3 role="content">
-      <title>Contents</title>
-
-      <segmentedlist>
-        <segtitle>Installed Program</segtitle>
-        <segtitle>Installed Xorg Drivers</segtitle>
-
-        <seglistitem>
-          <seg>
-            vmmouse_detect
-          </seg>
-          <seg>
-            vmmouse_drv.so
-          </seg>
-        </seglistitem>
-      </segmentedlist>
-
-      <variablelist>
-        <bridgehead renderas="sect4">Short Descriptions</bridgehead>
-        <?dbfo list-presentation="list"?>
-        <?dbhtml list-presentation="table"?>
-
-        <varlistentry id="vmmouse_detect">
-          <term><command>vmmouse_detect</command></term>
-          <listitem>
-            <para>
-              is a tool for detecting if running in a VMware environment where
-              vmmouse is used.
-            </para>
-            <indexterm zone="xorg-vmmouse-driver vmmouse_detect">
-              <primary sortas="b-vmmouse_detect">vmmouse_detect</primary>
-            </indexterm>
-          </listitem>
-        </varlistentry>
-
-        <varlistentry id="vmmouse_drv">
-          <term><filename class="libraryfile">vmmouse_drv.so</filename></term>
-          <listitem>
-            <para>
-              is an Xorg input driver for VMware Mouse.
-            </para>
-            <indexterm zone="xorg-vmmouse-driver vmmouse_drv">
-              <primary sortas="c-vmmouse_drv">vmmouse_drv.so</primary>
-            </indexterm>
-          </listitem>
-        </varlistentry>
-
-      </variablelist>
-
-    </sect3>
-
-  </sect2>
-  <!-- End Xorg VMMouse Driver -->
Index: x/installing/x7driver.xml
===================================================================
--- x/installing/x7driver.xml	(revision b18436b4f04058e2e8a55ae86369116ddaca17cd)
+++ x/installing/x7driver.xml	(revision 191f16681fa52a27aa35c221cd4346c964ba3bf9)
@@ -93,4 +93,9 @@
           </para>
         </listitem>
+        <!-- With Kernel 5.1, VMMouse is now entirely unusable/obsolete.
+        VMWare has a replacement in the kernel that works for both Qemu and
+        VMWare, that allows the VMMouse instruction set to run through
+        EVDEV events.
+        I archived it on 2019-05-19 as a result. - renodr
         <listitem>
           <para>
@@ -98,4 +103,5 @@
           </para>
         </listitem>
+        -->
         <listitem>
           <para>
@@ -185,6 +191,6 @@
     href="x7driver-synaptics.xml"/>
 
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="x7driver-vmmouse.xml"/>
+ <!--  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="x7driver-vmmouse.xml"/> -->
 
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"