Index: x/lib/at-spi2-atk.xml
===================================================================
--- x/lib/at-spi2-atk.xml	(revision 765916fc8ac179774b3e052dd914c3a44ab3051b)
+++ x/lib/at-spi2-atk.xml	(revision 193af65e56ed4ef6fd52afae69ec5fa27cf7c1c9)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs91_checked;
+    &lfs10_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: x/lib/at-spi2-core.xml
===================================================================
--- x/lib/at-spi2-core.xml	(revision 765916fc8ac179774b3e052dd914c3a44ab3051b)
+++ x/lib/at-spi2-core.xml	(revision 193af65e56ed4ef6fd52afae69ec5fa27cf7c1c9)
@@ -40,5 +40,5 @@
     </para>
 
-    &lfs91_checked;
+    &lfs10_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: x/lib/atk.xml
===================================================================
--- x/lib/atk.xml	(revision 765916fc8ac179774b3e052dd914c3a44ab3051b)
+++ x/lib/atk.xml	(revision 193af65e56ed4ef6fd52afae69ec5fa27cf7c1c9)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs91_checked;
+    &lfs10_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: x/lib/cairo.xml
===================================================================
--- x/lib/cairo.xml	(revision 765916fc8ac179774b3e052dd914c3a44ab3051b)
+++ x/lib/cairo.xml	(revision 193af65e56ed4ef6fd52afae69ec5fa27cf7c1c9)
@@ -51,5 +51,5 @@
     </para>
 
-    &lfs91_checked;
+    &lfs10_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: x/lib/gdk-pixbuf.xml
===================================================================
--- x/lib/gdk-pixbuf.xml	(revision 765916fc8ac179774b3e052dd914c3a44ab3051b)
+++ x/lib/gdk-pixbuf.xml	(revision 193af65e56ed4ef6fd52afae69ec5fa27cf7c1c9)
@@ -41,5 +41,5 @@
     </para>
 
-    &lfs91_checked;
+    &lfs10_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: x/lib/glu.xml
===================================================================
--- x/lib/glu.xml	(revision 765916fc8ac179774b3e052dd914c3a44ab3051b)
+++ x/lib/glu.xml	(revision 193af65e56ed4ef6fd52afae69ec5fa27cf7c1c9)
@@ -34,5 +34,5 @@
     </para>
 
-    &lfs91_checked;
+    &lfs10_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: x/lib/gtk+2.xml
===================================================================
--- x/lib/gtk+2.xml	(revision 765916fc8ac179774b3e052dd914c3a44ab3051b)
+++ x/lib/gtk+2.xml	(revision 193af65e56ed4ef6fd52afae69ec5fa27cf7c1c9)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs91_checked;
+    &lfs10_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: x/lib/gtk+3.xml
===================================================================
--- x/lib/gtk+3.xml	(revision 765916fc8ac179774b3e052dd914c3a44ab3051b)
+++ x/lib/gtk+3.xml	(revision 193af65e56ed4ef6fd52afae69ec5fa27cf7c1c9)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs91_checked;
+    &lfs10_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: x/lib/libglade.xml
===================================================================
--- x/lib/libglade.xml	(revision 765916fc8ac179774b3e052dd914c3a44ab3051b)
+++ x/lib/libglade.xml	(revision 193af65e56ed4ef6fd52afae69ec5fa27cf7c1c9)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs91_checked;
+    &lfs10_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: x/lib/libnotify.xml
===================================================================
--- x/lib/libnotify.xml	(revision 765916fc8ac179774b3e052dd914c3a44ab3051b)
+++ x/lib/libnotify.xml	(revision 193af65e56ed4ef6fd52afae69ec5fa27cf7c1c9)
@@ -38,5 +38,5 @@
     </para>
 
-    &lfs91_checked;
+    &lfs10_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: x/lib/pango.xml
===================================================================
--- x/lib/pango.xml	(revision 765916fc8ac179774b3e052dd914c3a44ab3051b)
+++ x/lib/pango.xml	(revision 193af65e56ed4ef6fd52afae69ec5fa27cf7c1c9)
@@ -38,5 +38,5 @@
     </para>
 
-    &lfs91_checked;
+    &lfs10_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: x/lib/startup-notification.xml
===================================================================
--- x/lib/startup-notification.xml	(revision 765916fc8ac179774b3e052dd914c3a44ab3051b)
+++ x/lib/startup-notification.xml	(revision 193af65e56ed4ef6fd52afae69ec5fa27cf7c1c9)
@@ -38,5 +38,5 @@
     </para>
 
-    &lfs91_checked;
+    &lfs10_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: x/wm/icewm.xml
===================================================================
--- x/wm/icewm.xml	(revision 765916fc8ac179774b3e052dd914c3a44ab3051b)
+++ x/wm/icewm.xml	(revision 193af65e56ed4ef6fd52afae69ec5fa27cf7c1c9)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs91_checked;
+    &lfs10_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>