Index: general/sysutils/usbutils.xml
===================================================================
--- general/sysutils/usbutils.xml	(revision 431b55c535a5a79567de17d94f6ee7260c08018b)
+++ general/sysutils/usbutils.xml	(revision 194a5845f1d0366760f41e5cf6be7de2d37ead1c)
@@ -72,4 +72,14 @@
     </itemizedlist>
 
+    <bridgehead renderas="sect3">Additional Downloads</bridgehead>
+    <itemizedlist spacing="compact">
+      <listitem>
+        <para>
+          Required patch:
+          <ulink url="&patch-root;/usbutils-&usbutils-version;-lsusb_bugfixes-1.patch"/>
+        </para>
+      </listitem>
+    </itemizedlist>
+
     <bridgehead renderas="sect3">USB Utils Dependencies</bridgehead>
 
@@ -100,5 +110,6 @@
     </para>
 
-<screen><userinput>./configure --prefix=/usr --datadir=/usr/share/hwdata &amp;&amp;
+<screen><userinput>patch -Np1 -i ../usbutils-&usbutils-version;-lsusb_bugfixes-1.patch &amp;&amp;
+./configure --prefix=/usr --datadir=/usr/share/hwdata &amp;&amp;
 make</userinput></screen>
 
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 431b55c535a5a79567de17d94f6ee7260c08018b)
+++ introduction/welcome/changelog.xml	(revision 194a5845f1d0366760f41e5cf6be7de2d37ead1c)
@@ -47,5 +47,13 @@
       <itemizedlist>
         <listitem>
-          <para>[bdubbs] - Update to xterm-343. Finishes
+          <para>[renodr] - Update to dovecot-2.3.4. Fixes
+          <ulink url="&blfs-ticket-root;11378">#11378</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Add a patch to fix bugs in usbutils. Fixes
+          <ulink url="&blfs-ticket-root;11185">#11185</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to xterm-343. Fixes
           <ulink url="&blfs-ticket-root;11546">#11546</ulink>.</para>
         </listitem>
Index: packages.ent
===================================================================
--- packages.ent	(revision 431b55c535a5a79567de17d94f6ee7260c08018b)
+++ packages.ent	(revision 194a5845f1d0366760f41e5cf6be7de2d37ead1c)
@@ -614,5 +614,5 @@
 <!ENTITY dovecot-major                "2">
 <!ENTITY dovecot-minor                "3">
-<!ENTITY dovecot-micro                "3">
+<!ENTITY dovecot-micro                "4">
 <!-- ENTITY dovecot-nano                 "1" -->
 <!-- ENTITY dovecot-version              "&dovecot-major;.&dovecot-minor;.&dovecot-micro;.&dovecot-nano;" -->
@@ -660,5 +660,5 @@
 <!ENTITY xorg-server-version          "1.20.3">
 <!ENTITY twm-version                  "1.0.10">
-<!ENTITY xterm-version                "342">
+<!ENTITY xterm-version                "343">
 <!ENTITY xclock-version               "1.0.7">
 <!ENTITY xinit-version                "1.4.0">
Index: server/mail/dovecot.xml
===================================================================
--- server/mail/dovecot.xml	(revision 431b55c535a5a79567de17d94f6ee7260c08018b)
+++ server/mail/dovecot.xml	(revision 194a5845f1d0366760f41e5cf6be7de2d37ead1c)
@@ -8,8 +8,8 @@
   "https://www.dovecot.org/releases/&dovecot-major;.&dovecot-minor;/dovecot-&dovecot-version;.tar.gz">
   <!ENTITY dovecot-download-ftp  " ">
-  <!ENTITY dovecot-md5sum        "fd58476e01785f22d1b4ee56be0006f9">
-  <!ENTITY dovecot-size          "6.5 MB">
-  <!ENTITY dovecot-buildsize     "154 MB (add 6.8 MB for tests)">
-  <!ENTITY dovecot-time          "2.8 SBU (add 0.2 SBU for tests)">
+  <!ENTITY dovecot-md5sum        "00eebc835a8793e8a167a616a78f4753">
+  <!ENTITY dovecot-size          "6.6 MB">
+  <!ENTITY dovecot-buildsize     "194 MB">
+  <!ENTITY dovecot-time          "3.8 SBU">
 ]>
 
@@ -95,4 +95,5 @@
       <xref linkend="sqlite"/>,
       <xref linkend="valgrind"/>,
+      <xref linkend="xfsprogs"/>,
       <ulink url="https://cassandra.apache.org/">Cassandra</ulink>,
       <ulink url="https://github.com/Cyan4973/lz4">lz4</ulink>, and
@@ -154,7 +155,7 @@
 
     <para>
-      To test the results, issue <command>make -k check</command>. An error
+       To test the results, issue <command>make -k check</command>. <!-- An error
       may be reported if <xref linkend="valgrind"/> is present when running
-      the test.
+      the test.-->
     </para>
 