Index: general.ent
===================================================================
--- general.ent	(revision 4fae3a22fec52346ec94b35fdc2196e00bd77438)
+++ general.ent	(revision 196f1bd4fde7c402a831a48eca671f8975c09f7a)
@@ -424,5 +424,5 @@
 <!ENTITY libxklavier-version          "3.2">
 <!ENTITY freeglut-version             "2.4.0">
-<!ENTITY goffice-version              "0.2.2">
+<!ENTITY goffice-version              "0.4.2">
 
 <!-- Chapter 27 -->
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 4fae3a22fec52346ec94b35fdc2196e00bd77438)
+++ introduction/welcome/changelog.xml	(revision 196f1bd4fde7c402a831a48eca671f8975c09f7a)
@@ -46,4 +46,7 @@
       <itemizedlist>
         <listitem>
+          <para>[randy] - Updated to GOffice-0.4.2.</para>
+        </listitem>
+        <listitem>
           <para>[randy] - Updated to SLIB-3a4.</para>
         </listitem>
@@ -53,7 +56,7 @@
           on the GnuCash page to use the stable BLFS book to install the
           package. This note is temporary and will be removed when GnuCash
-          is updated to version 2.x. Since there are no other BLFS packages
-          which depend on the GNOME-1.4 libraries, the entire GNOME-1.4
-          section of the book has been commented out.</para>
+          is updated to version 2.x. Since no other BLFS packages depend on the
+          GNOME-1.4 libraries, the entire GNOME-1.4 section of the book has
+          been commented out.</para>
         </listitem>
       </itemizedlist>
Index: x/lib/goffice.xml
===================================================================
--- x/lib/goffice.xml	(revision 4fae3a22fec52346ec94b35fdc2196e00bd77438)
+++ x/lib/goffice.xml	(revision 196f1bd4fde7c402a831a48eca671f8975c09f7a)
@@ -5,9 +5,9 @@
   %general-entities;
 
-  <!ENTITY goffice-download-http "&gnome-download-http;/goffice/0.2/goffice-&goffice-version;.tar.bz2">
-  <!ENTITY goffice-download-ftp  "&gnome-download-ftp;/goffice/0.2/goffice-&goffice-version;.tar.bz2">
-  <!ENTITY goffice-md5sum        "a2bffd6eeb7609ea19936c8f6efb46fc">
-  <!ENTITY goffice-size          "1.4 MB">
-  <!ENTITY goffice-buildsize     "43 MB">
+  <!ENTITY goffice-download-http "&gnome-download-http;/goffice/0.4/goffice-&goffice-version;.tar.bz2">
+  <!ENTITY goffice-download-ftp  "&gnome-download-ftp;/goffice/0.4/goffice-&goffice-version;.tar.bz2">
+  <!ENTITY goffice-md5sum        "eb72fe8caf7cb4e526671323f6bd4819">
+  <!ENTITY goffice-size          "1.7 MB">
+  <!ENTITY goffice-buildsize     "52 MB">
   <!ENTITY goffice-time          "1.0 SBU">
 ]>
@@ -64,6 +64,7 @@
 
     <bridgehead renderas="sect4">Required</bridgehead>
-    <para role="required"><xref linkend="libgsf"/> and
-    <xref linkend="pango"/></para>
+    <para role="required"><xref linkend="libgsf"/>,
+    <xref linkend="pango"/>, and
+    <xref linkend="pcre"/></para>
 
     <bridgehead renderas="sect4">Recommended (for the User Interface
@@ -80,13 +81,9 @@
 
     <bridgehead renderas="sect4">Optional</bridgehead>
-    <para role="optional"><xref linkend="intltool"/> and
+    <para role="optional"><xref linkend="intltool"/>,
+    <xref linkend="gtk-doc"/>, and
     <xref linkend="libgnomeui"/>
     (with <application>libgsf</application> built to support GNOME by creating
     the <filename class='libraryfile'>libgsf-gnome-1</filename> library)</para>
-
-    <!-- Currently broken
-    <xref linkend="cairo"/> (already installed if you
-    installed the recommended dependencies)
-    -->
 
     <para condition="html" role="usernotes">User Notes:
@@ -112,4 +109,12 @@
   </sect2>
 
+  <sect2 role="commands">
+    <title>Command Explanations</title>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../../xincludes/gtk-doc-rebuild.xml"/>
+
+  </sect2>
+
   <sect2 role="content">
     <title>Contents</title>
@@ -122,8 +127,8 @@
       <seglistitem>
         <seg>None</seg>
-        <seg>libgoffice-1.so and numerous support plugins</seg>
-        <seg>/usr/include/libgoffice-1,
+        <seg>libgoffice-0.so and numerous support plugins</seg>
+        <seg>/usr/include/libgoffice-0.4,
         /usr/lib/goffice,
-        /usr/share/{,pixmaps/}goffice</seg>
+        /usr/share/{gtk-doc/html/goffice,{pixmaps/}goffice}</seg>
       </seglistitem>
     </segmentedlist>
@@ -135,10 +140,10 @@
 
       <varlistentry id="libgoffice">
-        <term><filename class='libraryfile'>libgoffice-1.so</filename></term>
+        <term><filename class='libraryfile'>libgoffice-0.so</filename></term>
         <listitem>
           <para>contains API functions to provide support for document centric
           objects and utilities.</para>
           <indexterm zone="goffice libgoffice">
-            <primary sortas="c-libgoffice-1">libgoffice-1.so</primary>
+            <primary sortas="c-libgoffice-0">libgoffice-0.so</primary>
           </indexterm>
         </listitem>