Index: general.ent
===================================================================
--- general.ent	(revision caae7a2d5ddff4958060aba45e36a4f9abef3e14)
+++ general.ent	(revision 197d9d4db94e0c17dbe1edc46dd2315cde6edd80)
@@ -1,3 +1,3 @@
-<!ENTITY day          "25">
+<!ENTITY day          "26">
 <!ENTITY month        "01">
 <!ENTITY year         "2005">
Index: general/genlib/popt.xml
===================================================================
--- general/genlib/popt.xml	(revision caae7a2d5ddff4958060aba45e36a4f9abef3e14)
+++ general/genlib/popt.xml	(revision 197d9d4db94e0c17dbe1edc46dd2315cde6edd80)
@@ -13,12 +13,17 @@
 
 <sect1 id="popt" xreflabel="popt-&popt-version;-5">
+
 <sect1info>
-<othername>$LastChangedBy$</othername>
-<date>$Date$</date>
+  <othername>$LastChangedBy$</othername>
+  <date>$Date$</date>
 </sect1info>
+
 <?dbhtml filename="popt.html"?>
+
 <title><application>popt</application>-&popt-version;-5</title>
+
 <indexterm zone="popt">
-<primary sortas="a-popt">Popt</primary></indexterm>
+  <primary sortas="a-popt">Popt</primary>
+</indexterm>
 
 <sect2>
@@ -31,19 +36,21 @@
 <sect3><title>Package information</title>
 <itemizedlist spacing='compact'>
-<listitem><para>Download (HTTP): 
-<ulink url="&popt-download-http;"/></para></listitem>
-<listitem><para>Download (FTP): 
-<ulink url="&popt-download-ftp;"/></para></listitem>
-<listitem><para>Download size: &popt-size;</para></listitem>
-<listitem><para>Estimated disk space required: 
-&popt-buildsize;</para></listitem>
-<listitem><para>Estimated build time: 
-&popt-time;</para></listitem></itemizedlist>
+  <listitem><para>Download (HTTP): 
+    <ulink url="&popt-download-http;"/></para></listitem>
+  <listitem><para>Download (FTP): 
+    <ulink url="&popt-download-ftp;"/></para></listitem>
+  <listitem><para>Download size: &popt-size;</para></listitem>
+  <listitem><para>Estimated disk space required: 
+    &popt-buildsize;</para></listitem>
+  <listitem><para>Estimated build time: 
+    &popt-time;</para></listitem>
+</itemizedlist>
 </sect3>
 
 <sect3><title>Additional downloads</title>
 <itemizedlist spacing='compact'>
-<listitem><para>Patch level upgrade: <ulink
-url="http://ftp.debian.org/debian/pool/main/p/popt/popt_&popt-version;-5.diff.gz"/></para></listitem>
+  <listitem><para>Patch level upgrade: <ulink
+    url="http://ftp.debian.org/debian/pool/main/p/popt/popt_&popt-version;-5.diff.gz"/></para>
+  </listitem>
 </itemizedlist>
 </sect3>
@@ -70,6 +77,6 @@
  
 <para><command>cp configure.in configure.ac</command>:
-Because we updated <filename>configure.in</filename> with the patch,
-we need to create this file for <command>make</command> to work properly.</para>
+Because <filename>configure.in</filename> is updated with the patch,
+this file is needed for <command>make</command> to work properly.</para>
  
 <para><command>touch configure.in configure.ac</command>:
@@ -82,25 +89,23 @@
 
 <segmentedlist>
-<!-- <segtitle>Installed Program</segtitle> -->
-<segtitle>Installed Library</segtitle>
-<!-- <segtitle>Installed Directories</segtitle> -->
-<seglistitem>
-<!-- <seg>tclsh</seg> -->
-<seg>libpopt</seg>
-<!-- <seg>/usr/lib/tcl8.4 and /usr/include/tcl8.4</seg> -->
-</seglistitem>
+  <segtitle>Installed Library</segtitle>
+  <seglistitem>
+    <seg>libpopt</seg>
+  </seglistitem>
 </segmentedlist>
 
 <variablelist>
-<bridgehead renderas="sect3">Short Descriptions</bridgehead>
-<?dbfo list-presentation="list"?>
+  <bridgehead renderas="sect3">Short Descriptions</bridgehead>
+  <?dbfo list-presentation="list"?>
 
-<varlistentry id="libpopt">
-<term><filename role='library'>libpopt.so</filename></term>
-<listitem><para> is used to parse command-line options.</para>
-<indexterm zone="popt libpopt">
-<primary sortas="c-libpopt">libpopt</primary></indexterm>
-</listitem>
-</varlistentry>
+  <varlistentry id="libpopt">
+  <term><filename role='library'>libpopt.so</filename></term>
+  <listitem>
+    <para> is used to parse command-line options.</para>
+    <indexterm zone="popt libpopt">
+      <primary sortas="c-libpopt">libpopt</primary>
+     </indexterm>
+  </listitem>
+  </varlistentry>
 </variablelist>
 
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision caae7a2d5ddff4958060aba45e36a4f9abef3e14)
+++ introduction/welcome/changelog.xml	(revision 197d9d4db94e0c17dbe1edc46dd2315cde6edd80)
@@ -22,4 +22,10 @@
 
 <itemizedlist>
+
+<listitem><para>January 26th, 2005 [bdubbs]: Added directory reference
+for xorg downloads.</para></listitem>
+
+<listitem><para>January 26th, 2005 [bdubbs]: Fixed policy command line in 
+tripwire.</para></listitem>
 
 <listitem><para>January 25th, 2005 [randy]: Modified dependency list and added 
Index: postlfs/security/tripwire.xml
===================================================================
--- postlfs/security/tripwire.xml	(revision caae7a2d5ddff4958060aba45e36a4f9abef3e14)
+++ postlfs/security/tripwire.xml	(revision 197d9d4db94e0c17dbe1edc46dd2315cde6edd80)
@@ -120,5 +120,5 @@
 configuration steps:</para>
 
-<screen><userinput><command>twadmin --create-polfile --site-keyfile=/etc/tripwire site.key \
+<screen><userinput><command>twadmin --create-polfile --site-keyfile /etc/tripwire/site.key \
     /etc/tripwire/twpol.txt &amp;&amp;
 tripwire --init</command></userinput></screen>
Index: template/template.xml
===================================================================
--- template/template.xml	(revision caae7a2d5ddff4958060aba45e36a4f9abef3e14)
+++ template/template.xml	(revision 197d9d4db94e0c17dbe1edc46dd2315cde6edd80)
@@ -18,12 +18,15 @@
 
 <sect1 id="TEMPLATE" xreflabel="TEMPLATE-&TEMPLATE-version;">
+
 <sect1info>
-<othername>$LastChangedBy$</othername>
-<date>$Date$</date>
+  <othername>$LastChangedBy$</othername>
+  <date>$Date$</date>
 </sect1info>
+
 <?dbhtml filename="TEMPLATE.html"?>
 <title><application>TEMPLATE</application>-&TEMPLATE-version;</title>
 <indexterm zone="TEMPLATE">
-<primary sortas="a-TEMPLATE">TEMPLATE</primary></indexterm>
+  <primary sortas="a-TEMPLATE">TEMPLATE</primary>
+</indexterm>
 
 <sect2>
@@ -35,33 +38,35 @@
 <sect3><title>Package information</title>
 <itemizedlist spacing="compact">
-<listitem><para>Download (HTTP): 
-<ulink url="&TEMPLATE-download-http;"/></para></listitem>
-<listitem><para>Download (FTP): 
-<ulink url="&TEMPLATE-download-ftp;"/></para></listitem>
-<listitem><para>Download MD5 sum: 
-&TEMPLATE-md5sum;</para></listitem>
-<listitem><para>Download size: 
-&TEMPLATE-size;</para></listitem>
-<listitem><para>Estimated disk space required: 
-&TEMPLATE-buildsize;</para></listitem>
-<listitem><para>Estimated build time: 
-&TEMPLATE-time;</para></listitem></itemizedlist>
-</sect3>
-
-<sect3><title>Additional downloads</title>
-<itemizedlist spacing="compact">
-<listitem><para>Required patch: <ulink 
-url="&patch-root;/TEMPLATE-&TEMPLATE-version;-patch_name-patch_version.patch"/></para>
-</listitem></itemizedlist>
+  <listitem><para>Download (HTTP): 
+    <ulink url="&TEMPLATE-download-http;"/></para></listitem>
+  <listitem><para>Download (FTP): 
+    <ulink url="&TEMPLATE-download-ftp;"/></para></listitem>
+  <listitem><para>Download MD5 sum: 
+    &TEMPLATE-md5sum;</para></listitem>
+  <listitem><para>Download size: 
+    &TEMPLATE-size;</para></listitem>
+  <listitem><para>Estimated disk space required: 
+    &TEMPLATE-buildsize;</para></listitem>
+  <listitem><para>Estimated build time: 
+    &TEMPLATE-time;</para></listitem></itemizedlist>
+</sect3>
+
+<sect3>
+  <title>Additional downloads</title>
+  <itemizedlist spacing="compact">
+    <listitem><para>Required patch: <ulink 
+      url="&patch-root;/TEMPLATE-&TEMPLATE-version;-patch_name-patch_version.patch"/></para>
+    </listitem>
+  </itemizedlist>
 </sect3>
 
 <sect3><title><application>TEMPLATE</application> dependencies</title>
-<sect4><title>Required</title>
-<para><xref linkend="BLFS DEPENDENCY"/></para>
-</sect4>
-
-<sect4><title>Optional</title>
-<para><ulink url="http://www.some.url/">EXTERNAL DEPENDENCY</ulink></para>
-</sect4>
+  <sect4><title>Required</title>
+    <para><xref linkend="BLFS DEPENDENCY"/></para>
+  </sect4>
+
+  <sect4><title>Optional</title>
+    <para><ulink url="http://www.some.url/">EXTERNAL DEPENDENCY</ulink></para>
+  </sect4>
 </sect3>
 
@@ -99,27 +104,31 @@
 <title>Configuring <application>TEMPLATE</application></title>
 
-<sect3 id="TEMPLATE-config"><title>Config files</title>
-<para><filename>~/.Configfilename1</filename> and 
-<filename>/etc/path/Configfilename2</filename></para>
-
-<indexterm zone="TEMPLATE TEMPLATE-config">
-<primary sortas="e-AA.Configfilename1">~/.Configfilename1</primary>
-</indexterm>
-<indexterm zone="TEMPLATE TEMPLATE-config">
-<primary sortas="e-etc-path-Configfilename2">/etc/path/Configfilename2</primary>
-</indexterm>
+<sect3 id="TEMPLATE-config">
+  <title>Config files</title>
+  <para><filename>~/.Configfilename1</filename> and 
+    <filename>/etc/path/Configfilename2</filename></para>
+
+  <indexterm zone="TEMPLATE TEMPLATE-config">
+    <primary sortas="e-AA.Configfilename1">~/.Configfilename1</primary>
+  </indexterm>
+  
+  <indexterm zone="TEMPLATE TEMPLATE-config">
+    <primary sortas="e-etc-path-Configfilename2">/etc/path/Configfilename2</primary>
+  </indexterm>
 </sect3>
 
 <sect3><title>Configuration information</title>
 
-<para><userinput role='root'>USERINPUT GOES HERE</userinput> Blah blah blah 
-about config.</para>
-
-<para id="TEMPLATE-init">To automatically start the 
-<command>TEMPLATE</command> daemon when the system is rebooted, install the 
-<filename>/etc/rc.d/init.d/TEMPLATE</filename> bootscript from the 
-<xref linkend="intro-important-bootscripts"/> package.</para> 
-<indexterm zone="TEMPLATE TEMPLATE-init"> 
-<primary sortas="f-TEMPLATE">TEMPLATE</primary></indexterm> 
+  <para><userinput role='root'>USERINPUT GOES HERE</userinput> Blah blah blah 
+    about config.</para>
+
+  <para id="TEMPLATE-init">To automatically start the 
+    <command>TEMPLATE</command> daemon when the system is rebooted, install the 
+    <filename>/etc/rc.d/init.d/TEMPLATE</filename> bootscript from the 
+    <xref linkend="intro-important-bootscripts"/> package.</para> 
+
+  <indexterm zone="TEMPLATE TEMPLATE-init"> 
+    <primary sortas="f-TEMPLATE">TEMPLATE</primary>
+  </indexterm> 
 
 <screen><userinput role='root'><command>make install-TEMPLATE</command></userinput></screen>
@@ -132,20 +141,21 @@
 
 <segmentedlist>
-<segtitle>Installed Program(s)</segtitle>
-<segtitle>Installed Librar(y,ies)</segtitle>
-<segtitle>Installed Director(y,ies)</segtitle>
-<seglistitem>
-<seg>PROGRAM1, PROGRAM2 and PROGRAM3</seg>
-<seg>libLIBRARY1, libLIBRARY2 and libLIBRARY3</seg>
-<seg>/etc/TEMPLATE, /usr/include/TEMPLATE, /usr/lib/TEMPLATE, 
-/usr/share/TEMPLATE-&TEMPLATE-version;, 
-/usr/share/doc/TEMPLATE-&TEMPLATE-version; and 
-/var/lib/TEMPLATE</seg>
-</seglistitem>
+  <segtitle>Installed Program(s)</segtitle>
+  <segtitle>Installed Librar(y,ies)</segtitle>
+  <segtitle>Installed Director(y,ies)</segtitle>
+
+  <seglistitem>
+    <seg>PROGRAM1, PROGRAM2 and PROGRAM3</seg>
+    <seg>libLIBRARY1, libLIBRARY2 and libLIBRARY3</seg>
+    <seg>/etc/TEMPLATE, /usr/include/TEMPLATE, /usr/lib/TEMPLATE, 
+         /usr/share/TEMPLATE-&TEMPLATE-version;, 
+         /usr/share/doc/TEMPLATE-&TEMPLATE-version; and 
+         /var/lib/TEMPLATE</seg>
+  </seglistitem>
 </segmentedlist>
 
 <variablelist>
-<bridgehead renderas="sect3">Short Descriptions</bridgehead>
-<?dbfo list-presentation="list"?>
+  <bridgehead renderas="sect3">Short Descriptions</bridgehead>
+  <?dbfo list-presentation="list"?>
 
 <!-- If the program or library name conflicts (is the same) as the 
@@ -154,26 +164,33 @@
 
 <varlistentry id="PROGRAM1">
-<term><command>PROGRAM1</command></term>
-<listitem><para>does this .....</para>
-<indexterm zone="TEMPLATE PROGRAM1">
-<primary sortas="b-PROGRAM1">PROGRAM1</primary></indexterm>
-</listitem>
+  <term><command>PROGRAM1</command></term>
+  <listitem>
+    <para>does this .....</para>
+    <indexterm zone="TEMPLATE PROGRAM1">
+      <primary sortas="b-PROGRAM1">PROGRAM1</primary>
+    </indexterm>
+  </listitem>
 </varlistentry>
 
 <varlistentry id="PROGRAM2">
-<term><command>PROGRAM2</command></term>
-<listitem><para>does this .....</para>
-<indexterm zone="TEMPLATE PROGRAM2">
-<primary sortas="b-PROGRAM2">PROGRAM2</primary></indexterm>
-</listitem>
+  <term><command>PROGRAM2</command></term>
+  <listitem>
+    <para>does this .....</para>
+    <indexterm zone="TEMPLATE PROGRAM2">
+      <primary sortas="b-PROGRAM2">PROGRAM2</primary>
+    </indexterm>
+  </listitem>
 </varlistentry>
 
 <varlistentry id="libLIBRARY1">
-<term><filename class='libraryfile'>libLIBRARY1.[so,a]</filename></term>
-<listitem><para>contains functions that .....</para>
-<indexterm zone="TEMPLATE libLIBRARY1">
-<primary sortas="c-libLIBRARY1">libLIBRARY1.[so,a]</primary></indexterm>
-</listitem>
+  <term><filename class='libraryfile'>libLIBRARY1.[so,a]</filename></term>
+  <listitem>
+    <para>contains functions that .....</para>
+    <indexterm zone="TEMPLATE libLIBRARY1">
+      <primary sortas="c-libLIBRARY1">libLIBRARY1.[so,a]</primary>
+    </indexterm>
+  </listitem>
 </varlistentry>
+
 </variablelist>
 
Index: x/installing/xorg.xml
===================================================================
--- x/installing/xorg.xml	(revision caae7a2d5ddff4958060aba45e36a4f9abef3e14)
+++ x/installing/xorg.xml	(revision 197d9d4db94e0c17dbe1edc46dd2315cde6edd80)
@@ -5,6 +5,6 @@
   %general-entities;
 
-  <!ENTITY xorg-download-http "http://freedesktop.org/~xorg/X11R&xorg-version;/src-single/X11R&xorg-version;-src.tar.bz2">
-  <!ENTITY xorg-download-ftp  " ">
+  <!ENTITY xorg-download-http "">
+  <!ENTITY xorg-download-ftp  "ftp://ftp.opengroup.org/pub/x.org/pub/X11R&xorg-version;/src-single/X11R&xorg-version;-src.tar.bz2">
   <!ENTITY xorg-size          "41 MB">
   <!ENTITY xorg-buildsize     "645 MB">
@@ -87,5 +87,5 @@
 <para>As an alternative to downloading the entire source tree in a single
 file, there are several files that need to be fetched from the download 
-location:</para>
+location (directory /pub/x.org/pub/X11R&xorg-version;/src/):</para>
 
 <itemizedlist spacing='compact'>