Index: general/graphlib/gegl.xml
===================================================================
--- general/graphlib/gegl.xml	(revision 9bd0c0e80f410e16fc4ad16bd0693e5dc55283d0)
+++ general/graphlib/gegl.xml	(revision 206e0bed73cc446d17654dd82f8da6679d590ca6)
@@ -82,4 +82,16 @@
     <para role="recommended">
       <xref linkend="gobject-introspection"/>,
+      <xref linkend="graphviz"/>,
+      <!-- EDITORS NOTE: Graphviz is required for the gegl:introspect
+      function. Without this function, GIMP will not start. You'll get the
+      following error:
+
+      "GEGL Operation Missing! GIMP rqeuires the GEGL operation
+      'gegl:introspect'. This operation cannot be found. Check your GEGL
+      install and ensure it has been compiled with any dependencies required
+      for GIMP."
+
+      Reference: https://gitlab.gnome.org/GNOME/gegl/-/commit/1f50456de59c686941a861d299a63bfcd4126ee5
+      -->
       <xref linkend="pygments"/>, and 
       <xref linkend="pygobject3"/>
Index: general/graphlib/qrencode.xml
===================================================================
--- general/graphlib/qrencode.xml	(revision 9bd0c0e80f410e16fc4ad16bd0693e5dc55283d0)
+++ general/graphlib/qrencode.xml	(revision 206e0bed73cc446d17654dd82f8da6679d590ca6)
@@ -33,5 +33,5 @@
       <application>Libqrencode</application> is a fast and compact library
       for encoding data in a QR Code symbol, a 2D symbology that can be
-      scanned by handheld terminals such as a mobile phone with CCD.
+      scanned by handheld terminals such as a mobile phone with a CCD sensor.
     </para>
 
@@ -159,11 +159,11 @@
       <seglistitem>
         <seg>
-          qrencode.
+          qrencode
         </seg>
         <seg>
-          libqrencode.so.
+          libqrencode.so
         </seg>
         <seg>
-          /usr/share/doc/qrencode-&qrencode-version; (optional).
+          /usr/share/doc/qrencode-&qrencode-version; (optional)
         </seg>
       </seglistitem>
@@ -179,5 +179,5 @@
         <listitem>
           <para>
-            encodes input data in a QR Code and save as a PNG or EPS image.
+            encodes input data in a QR Code and saves it as a PNG or EPS image.
           </para>
           <indexterm zone="qrencode qrencode-prog">
Index: general/sysutils/systemd.xml
===================================================================
--- general/sysutils/systemd.xml	(revision 9bd0c0e80f410e16fc4ad16bd0693e5dc55283d0)
+++ general/sysutils/systemd.xml	(revision 206e0bed73cc446d17654dd82f8da6679d590ca6)
@@ -117,4 +117,5 @@
       <xref linkend="pcre2"/>,
       <xref linkend="qemu"/>,
+      <xref linkend="qrencode"/>,
       <xref linkend="valgrind"/>,
       <xref linkend="zsh"/> (for the zsh completions),
@@ -124,5 +125,5 @@
       <ulink url="https://www.gnu.org/software/libmicrohttpd/">libmicrohttpd</ulink>,
       <ulink url="http://lz4.github.io/lz4/">lz4</ulink>,
-      <ulink url="http://fukuchi.org/works/qrencode/">qrencode</ulink>,
+      <!--<ulink url="http://fukuchi.org/works/qrencode/">qrencode</ulink>,-->
       <ulink url="http://sourceforge.net/projects/linuxquota/">quota-tools</ulink> and
       <ulink url="https://pypi.python.org/pypi/Sphinx">Sphinx</ulink>
Index: gnome.ent
===================================================================
--- gnome.ent	(revision 9bd0c0e80f410e16fc4ad16bd0693e5dc55283d0)
+++ gnome.ent	(revision 206e0bed73cc446d17654dd82f8da6679d590ca6)
@@ -85,5 +85,5 @@
 <!ENTITY gnome-calculator-version          "3.38.2">
 <!ENTITY gnome-color-manager-version       "3.36.0">
-<!ENTITY gnome-disk-utility-version        "3.38.0">
+<!ENTITY gnome-disk-utility-version        "3.38.1">
 <!ENTITY gnome-logs-version                "3.36.0">
 <!ENTITY gnome-maps-version                "3.38.2">
Index: gnome/applications/gnome-disk-utility.xml
===================================================================
--- gnome/applications/gnome-disk-utility.xml	(revision 9bd0c0e80f410e16fc4ad16bd0693e5dc55283d0)
+++ gnome/applications/gnome-disk-utility.xml	(revision 206e0bed73cc446d17654dd82f8da6679d590ca6)
@@ -9,5 +9,5 @@
   <!ENTITY gnome-disk-utility-download-ftp
            "&gnome-download-ftp;/gnome-disk-utility/&gnome-minor-38;/gnome-disk-utility-&gnome-disk-utility-version;.tar.xz">
-  <!ENTITY gnome-disk-utility-md5sum        "d5d7d3f31e13fd88959069f3bec9e69d">
+  <!ENTITY gnome-disk-utility-md5sum        "6e18fc9c6a50d120fd2c87c634382f03">
   <!ENTITY gnome-disk-utility-size          "1.3 MB">
   <!ENTITY gnome-disk-utility-buildsize     "36 MB">
Index: gnome/applications/gnome-screenshot.xml
===================================================================
--- gnome/applications/gnome-screenshot.xml	(revision 9bd0c0e80f410e16fc4ad16bd0693e5dc55283d0)
+++ gnome/applications/gnome-screenshot.xml	(revision 206e0bed73cc446d17654dd82f8da6679d590ca6)
@@ -79,5 +79,5 @@
     <para role="required">
       <xref linkend="gtk3"/>,
-      <xref linkend="libcanberra"/> (Compiled with GTK+3 support). and
+      <xref linkend="libcanberra"/> (Compiled with GTK+3 support), and
       <xref linkend="libhandy1"/>
     </para>
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 9bd0c0e80f410e16fc4ad16bd0693e5dc55283d0)
+++ introduction/welcome/changelog.xml	(revision 206e0bed73cc446d17654dd82f8da6679d590ca6)
@@ -46,4 +46,20 @@
       <itemizedlist>
         <listitem>
+          <para>[renodr] - Update to gnome-disk-utility-3.38.1. Fixes
+          <ulink url="&blfs-ticket-root;14384">#14384</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Update to epiphany-3.38.2. Fixes
+          <ulink url="&blfs-ticket-root;14328">#14328</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Update to xscreensaver-5.45. Fixes
+          <ulink url="&blfs-ticket-root;14362">#14362</ulink>.</para>
+        </listitem>
+        <listitem revision="systemd">
+          <para>[renodr] - Add optional dependency on qrencode to systemd since
+          it is now available in BLFS.</para>
+        </listitem>
+        <listitem>
           <para>[renodr] - Update to shared-mime-info-2.1. Fixes
           <ulink url="&blfs-ticket-root;14450">#14450</ulink>.</para>
Index: packages.ent
===================================================================
--- packages.ent	(revision 9bd0c0e80f410e16fc4ad16bd0693e5dc55283d0)
+++ packages.ent	(revision 206e0bed73cc446d17654dd82f8da6679d590ca6)
@@ -910,5 +910,5 @@
 <!-- Chapter 40 -->
 <!--<!ENTITY chromium-version             "64.0.3282.186">-->
-<!ENTITY epiphany-version             "3.38.1">
+<!ENTITY epiphany-version             "3.38.2">
 <!ENTITY falkon-major-version         "3.1">
 <!ENTITY falkon-minor-version         "0">
@@ -945,5 +945,5 @@
 <!ENTITY xchat-version                "2.8.8">
 <!ENTITY xdg-utils-version            "1.1.3">
-<!ENTITY xscreensaver-version         "5.44">
+<!ENTITY xscreensaver-version         "5.45">
 
 <!-- Part XI -->
Index: xsoft/graphweb/epiphany.xml
===================================================================
--- xsoft/graphweb/epiphany.xml	(revision 9bd0c0e80f410e16fc4ad16bd0693e5dc55283d0)
+++ xsoft/graphweb/epiphany.xml	(revision 206e0bed73cc446d17654dd82f8da6679d590ca6)
@@ -9,8 +9,8 @@
   <!ENTITY epiphany-download-ftp
            "&gnome-download-ftp;/epiphany/&gnome-minor-38;/epiphany-&epiphany-version;.tar.xz">
-  <!ENTITY epiphany-md5sum        "d4a546d1fb8851f69e2a0b606313ed69">
+  <!ENTITY epiphany-md5sum        "486b5ff95db04073efc0a4d2bf9736ca">
   <!ENTITY epiphany-size          "3.7 MB">
   <!ENTITY epiphany-buildsize     "93 MB"> 
-  <!ENTITY epiphany-time          "0.3 SBU (Using parallelism=4, including tests)"> 
+  <!ENTITY epiphany-time          "0.2 SBU (Using parallelism=4, including tests)"> 
 ]>
 
Index: xsoft/other/xscreensaver.xml
===================================================================
--- xsoft/other/xscreensaver.xml	(revision 9bd0c0e80f410e16fc4ad16bd0693e5dc55283d0)
+++ xsoft/other/xscreensaver.xml	(revision 206e0bed73cc446d17654dd82f8da6679d590ca6)
@@ -7,7 +7,7 @@
   <!ENTITY xscreensaver-download-http "https://www.jwz.org/xscreensaver/xscreensaver-&xscreensaver-version;.tar.gz">
   <!ENTITY xscreensaver-download-ftp  " ">
-  <!ENTITY xscreensaver-md5sum        "9f764e561f9939f8684a66ec98b27cba">
+  <!ENTITY xscreensaver-md5sum        "dffe3be6c0db7468f1620873ec03a32e">
   <!ENTITY xscreensaver-size          "26 MB">
-  <!ENTITY xscreensaver-buildsize     "251 MB">
+  <!ENTITY xscreensaver-buildsize     "384 MB">
   <!ENTITY xscreensaver-time          "1.0 SBU">
 ]>
@@ -31,6 +31,6 @@
 
     <para>
-      The <application>XScreenSaver</application> is a modular screen saver
-      and locker for the X Window System. It is highly customizable and
+      The <application>XScreenSaver</application> package is a modular screen 
+      saver and locker for the X Window System. It is highly customizable and
       allows the use of any program that can draw on the root window as a
       display mode. The purpose of <application>XScreenSaver</application> is
@@ -82,5 +82,5 @@
     <bridgehead renderas="sect4">Required</bridgehead>
     <para role="required">
-      <xref linkend="gdk-pixbuf"/>, 
+      <xref linkend="gdk-pixbuf-xlib"/>, 
       <xref linkend="libglade"/>, and
       <xref linkend="xorg7-app"/>
@@ -94,6 +94,6 @@
     <bridgehead renderas="sect4">Optional</bridgehead>
     <para role="optional">
-      <phrase revision="sysv"><ulink url="&gnome-download-http;/gdm/">GDM</ulink></phrase>
-      <phrase revision="systemd"><xref linkend="gdm"/></phrase>,
+      <xref linkend="gdm"/>,
+      <xref linkend="mitkrb"/>,
       <ulink url="http://linas.org/gle/">GLE</ulink> and
       <xref linkend="linux-pam"/>
@@ -134,4 +134,5 @@
     </para>
 
+    <!-- EDITORS NOTE: Use install_prefix instead of DESTDIR -->
     <para>
       Now, as the <systemitem class="username">root</systemitem> user: