Index: general/prog/lua.xml
===================================================================
--- general/prog/lua.xml	(revision c6c433968c71de3f0e10799593419021b38fcdf5)
+++ general/prog/lua.xml	(revision 207b52d90b3d872e4ef08e8e284032974fd6d4df)
@@ -7,6 +7,6 @@
   <!ENTITY lua-download-http "https://www.lua.org/ftp/lua-&lua-version;.tar.gz">
   <!ENTITY lua-download-ftp  " ">
-  <!ENTITY lua-md5sum        "ef63ed2ecfb713646a7fcc583cf5f352">
-  <!ENTITY lua-size          "352 KB">
+  <!ENTITY lua-md5sum        "bd8ce7069ff99a400efd14cf339a727b">
+  <!ENTITY lua-size          "356 KB">
   <!ENTITY lua-buildsize     "5.8 MB (with Basic tests)">
   <!ENTITY lua-time          "less than 0.1 SBU (with Basic tests)">
@@ -14,5 +14,5 @@
   <!ENTITY lua-tests-download-http "https://www.lua.org/tests/lua-&lua-version;-tests.tar.gz">
   <!ENTITY lua-tests-download-ftp  " ">
-  <!ENTITY lua-tests-md5sum        "4afc92b7e45fc0687c686a470bc8072a">
+  <!ENTITY lua-tests-md5sum        "0e28a9b48b3596d6b12989d04ae403c4">
   <!ENTITY lua-tests-size          "132 KB">
 ]>
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision c6c433968c71de3f0e10799593419021b38fcdf5)
+++ introduction/welcome/changelog.xml	(revision 207b52d90b3d872e4ef08e8e284032974fd6d4df)
@@ -46,4 +46,12 @@
       <itemizedlist>
         <listitem>
+          <para>[bdubbs] - Update to bind-9.18.0. Fixes
+          <ulink url="&blfs-ticket-root;16016">#16016</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to lua-5.4.4. Fixes
+          <ulink url="&blfs-ticket-root;16015">#16015</ulink>.</para>
+        </listitem>
+        <listitem>
           <para>[pierre] - Update to firefox-91.5.1. Fixes
           <ulink url="&blfs-ticket-root;16017">#16017</ulink>.</para>
Index: networking/netutils/bind-utils.xml
===================================================================
--- networking/netutils/bind-utils.xml	(revision c6c433968c71de3f0e10799593419021b38fcdf5)
+++ networking/netutils/bind-utils.xml	(revision 207b52d90b3d872e4ef08e8e284032974fd6d4df)
@@ -7,8 +7,8 @@
   <!ENTITY bind-download-http   "https://ftp.isc.org/isc/bind9/&bind-version;/bind-&bind-version;.tar.xz">
   <!ENTITY bind-download-ftp    "ftp://ftp.isc.org/isc/bind9/&bind-version;/bind-&bind-version;.tar.xz">
-  <!ENTITY bind-md5sum          "361a54fc5ebeb3a1af77abec08b33661">
-  <!ENTITY bind-size            "4.9 MB">
-  <!ENTITY bind-utils-buildsize "107 MB">
-  <!ENTITY bind-utils-time      "0.6 SBU">
+  <!ENTITY bind-md5sum          "0e6fe85e3f2d252f5cec9cb98e82bc15">
+  <!ENTITY bind-size            "5.1 MB">
+  <!ENTITY bind-utils-buildsize "100 MB">
+  <!ENTITY bind-utils-time      "0.3 SBU">
 ]>
 
@@ -102,8 +102,9 @@
 
  <screen><userinput>./configure --prefix=/usr --without-python &amp;&amp;
+make -C lib/isc    &amp;&amp;
 make -C lib/dns    &amp;&amp;
-make -C lib/isc    &amp;&amp;
+make -C lib/ns     &amp;&amp;
+make -C lib/isccfg &amp;&amp;
 make -C lib/bind9  &amp;&amp;
-make -C lib/isccfg &amp;&amp;
 make -C lib/irs    &amp;&amp;
 make -C bin/dig    &amp;&amp;
@@ -116,5 +117,11 @@
       Now, as the <systemitem class="username">root</systemitem> user:</para>
 
-<screen role='root'><userinput>make -C bin/dig install &amp;&amp;
+<screen role='root'><userinput>make -C lib/isc    install &amp;&amp;
+make -C lib/dns    install &amp;&amp;
+make -C lib/ns     install &amp;&amp;
+make -C lib/isccfg install &amp;&amp;
+make -C lib/bind9  install &amp;&amp;
+make -C lib/irs    install &amp;&amp;
+make -C bin/dig    install &amp;&amp;
 cp -v doc/man/{dig.1,host.1,nslookup.1} /usr/share/man/man1</userinput></screen>
 
Index: packages.ent
===================================================================
--- packages.ent	(revision c6c433968c71de3f0e10799593419021b38fcdf5)
+++ packages.ent	(revision 207b52d90b3d872e4ef08e8e284032974fd6d4df)
@@ -354,5 +354,5 @@
 <!ENTITY llvm-point-version           "0">
 <!ENTITY llvm-version                 "&llvm-majmin-version;.&llvm-point-version;">
-<!ENTITY lua-version                  "5.4.3">
+<!ENTITY lua-version                  "5.4.4">
 <!ENTITY lua52-version                "5.2.4">
 <!ENTITY mercurial-version            "6.0.1">
@@ -613,6 +613,6 @@
 <!-- Chapter 16 -->
 <!ENTITY avahi-version                "0.8">
-<!ENTITY bind-minor-version           "9.16">
-<!ENTITY bind-version                 "&bind-minor-version;.25">
+<!ENTITY bind-minor-version           "9.18">
+<!ENTITY bind-version                 "&bind-minor-version;.0">
 <!ENTITY mod_dnssd-version            "0.6">
 <!ENTITY NetworkManager-minor         "1.34">
Index: server/major/bind.xml
===================================================================
--- server/major/bind.xml	(revision c6c433968c71de3f0e10799593419021b38fcdf5)
+++ server/major/bind.xml	(revision 207b52d90b3d872e4ef08e8e284032974fd6d4df)
@@ -7,8 +7,8 @@
   <!ENTITY bind-download-http "https://ftp.isc.org/isc/bind9/&bind-version;/bind-&bind-version;.tar.xz">
   <!ENTITY bind-download-ftp  "ftp://ftp.isc.org/isc/bind9/&bind-version;/bind-&bind-version;.tar.xz">
-  <!ENTITY bind-md5sum        "361a54fc5ebeb3a1af77abec08b33661">
-  <!ENTITY bind-size          "4.9 MB">
-  <!ENTITY bind-buildsize     "117 MB (20 MB installed)">
-  <!ENTITY bind-time          "0.8 SBU (with parallelism=4; add 30+ minutes, somewhat processor independent, to run the complete test suite)">
+  <!ENTITY bind-md5sum        "0e6fe85e3f2d252f5cec9cb98e82bc15">
+  <!ENTITY bind-size          "5.1 MB">
+  <!ENTITY bind-buildsize     "136 MB (25 MB installed)">
+  <!ENTITY bind-time          "0.4 SBU (with parallelism=4; add 30+ minutes, somewhat processor independent, to run the complete test suite)">
 ]>
 