Index: general.ent
===================================================================
--- general.ent	(revision aecb3434617673378fe1854ffdf9d5b38bca5f46)
+++ general.ent	(revision 209ca230a5eed37e5dd556ac9b918b35f82616ff)
@@ -1,5 +1,5 @@
 <!-- $LastChangedBy$ $Date$ -->
 
-<!ENTITY day          "16">                   <!-- Always 2 digits -->
+<!ENTITY day          "17">                   <!-- Always 2 digits -->
 <!ENTITY month        "06">                   <!-- Always 2 digits -->
 <!ENTITY year         "2020">
@@ -7,5 +7,5 @@
 <!ENTITY copyholder   "The BLFS Development Team">
 <!ENTITY version      "&year;-&month;-&day;">
-<!ENTITY releasedate  "June 16th, &year;">
+<!ENTITY releasedate  "June 17th, &year;">
 <!ENTITY pubdate      "&year;-&month;-&day;"> <!-- metadata req. by TLDP -->
 <!ENTITY blfs-version "svn">                  <!-- svn|[release #] -->
Index: general/graphlib/lcms2.xml
===================================================================
--- general/graphlib/lcms2.xml	(revision aecb3434617673378fe1854ffdf9d5b38bca5f46)
+++ general/graphlib/lcms2.xml	(revision 209ca230a5eed37e5dd556ac9b918b35f82616ff)
@@ -7,7 +7,7 @@
   <!ENTITY lcms2-download-http "&sourceforge-dl;/lcms/lcms2-&lcms2-version;.tar.gz">
   <!ENTITY lcms2-download-ftp  " ">
-  <!ENTITY lcms2-md5sum        "6ce39d35b3c79b0e99525077bea06a0b">
-  <!ENTITY lcms2-size          "15 MB">
-  <!ENTITY lcms2-buildsize     "30 MB (with the tests)">
+  <!ENTITY lcms2-md5sum        "598dae499e58f877ff6788254320f43e">
+  <!ENTITY lcms2-size          "6.2 MB">
+  <!ENTITY lcms2-buildsize     "21 MB (with the tests)">
   <!ENTITY lcms2-time          "0.2 SBU (with the tests)">
 ]>
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision aecb3434617673378fe1854ffdf9d5b38bca5f46)
+++ introduction/welcome/changelog.xml	(revision 209ca230a5eed37e5dd556ac9b918b35f82616ff)
@@ -43,4 +43,26 @@
     -->
     <listitem>
+      <para>June 17th, 2020</para>
+      <itemizedlist>
+        <listitem>
+          <para>[renodr] - Update to NSS-3.53.1 (security update). Fixes
+          <ulink url="&blfs-ticket-root;13676">#13676</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Update to lcms2-2.11. Fixes
+          <ulink url="&blfs-ticket-root;13677">#13677</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Update to pidgin-2.14.1. Fixes
+          <ulink url="&blfs-ticket-root;13678">#13678</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Update to vlc-3.0.11. Fixes
+          <ulink url="&blfs-ticket-root;13679">#13679</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>June 16th, 2020</para>
       <itemizedlist>
Index: multimedia/videoutils/vlc.xml
===================================================================
--- multimedia/videoutils/vlc.xml	(revision aecb3434617673378fe1854ffdf9d5b38bca5f46)
+++ multimedia/videoutils/vlc.xml	(revision 209ca230a5eed37e5dd556ac9b918b35f82616ff)
@@ -7,7 +7,7 @@
   <!ENTITY vlc-download-http "https://download.videolan.org/vlc/&vlc-version;/vlc-&vlc-version;.tar.xz">
   <!ENTITY vlc-download-ftp  " ">
-  <!ENTITY vlc-md5sum        "28417dd27462ccb014b7dc7e50e9e9d6">
+  <!ENTITY vlc-md5sum        "7e68f9e2d307eb7cc16e7345cda9e978">
   <!ENTITY vlc-size          "25 MB">
-  <!ENTITY vlc-buildsize     "931 MB (add 38 MB for tests)">
+  <!ENTITY vlc-buildsize     "912 MB (add 38 MB for tests)">
   <!ENTITY vlc-time          "2.0 SBU (using parallelism=4; add 0.2 SBU for tests)">
 ]>
@@ -234,5 +234,5 @@
 sed -i '/#include &lt;QWidget&gt;/a\#include &lt;QPainterPath&gt;/'            \
     modules/gui/qt/util/timetooltip.hpp                            &amp;&amp;
-sed -i '/#include/&lt;QPainter&gt;/a\#include &lt;QPainterPath&gt;/'           \
+sed -i '/#include &lt;QPainter&gt;/a\#include &lt;QPainterPath&gt;/'           \
     modules/gui/qt/components/playlist/views.cpp                   \
     modules/gui/qt/dialogs/plugins.cpp                             &amp;&amp;
Index: packages.ent
===================================================================
--- packages.ent	(revision aecb3434617673378fe1854ffdf9d5b38bca5f46)
+++ packages.ent	(revision 209ca230a5eed37e5dd556ac9b918b35f82616ff)
@@ -30,6 +30,6 @@
 <!ENTITY nss-minor-version            "53">
 <!ENTITY nss-micro-version            "1">
-<!--<!ENTITY nss-version                  "3.&nss-minor-version;.&nss-micro-version;">-->
-<!ENTITY nss-version                  "3.&nss-minor-version;">
+<!ENTITY nss-version                  "3.&nss-minor-version;.&nss-micro-version;">
+<!--<!ENTITY nss-version                  "3.&nss-minor-version;">-->
 <!ENTITY openssh-version              "8.3p1">
 <!-- <!ENTITY openssl-version              "1.1.0g"> -->
@@ -213,5 +213,5 @@
 <!ENTITY jasper-version               "2.0.14">
 <!ENTITY lcms-version                 "1.19">
-<!ENTITY lcms2-version                "2.10">
+<!ENTITY lcms2-version                "2.11">
 <!ENTITY libexif-version              "0.6.22">
 <!ENTITY libgxps-version              "0.3.1">
@@ -923,5 +923,5 @@
 <!ENTITY inkscape-version             "&inkscape-minor-version;">
 <!ENTITY pan-version                  "0.133">
-<!ENTITY pidgin-version               "2.14.0">
+<!ENTITY pidgin-version               "2.14.1">
 <!ENTITY rox-filer-version            "2.11">
 <!ENTITY rxvt-unicode-version         "9.22">
@@ -1019,5 +1019,5 @@
 <!ENTITY xine-ui-version              "0.99.12">
 <!ENTITY transcode-version            "1.1.7">
-<!ENTITY vlc-version                  "3.0.10">
+<!ENTITY vlc-version                  "3.0.11">
 
 <!-- Chapter 45 -->
Index: postlfs/security/nss.xml
===================================================================
--- postlfs/security/nss.xml	(revision aecb3434617673378fe1854ffdf9d5b38bca5f46)
+++ postlfs/security/nss.xml	(revision 209ca230a5eed37e5dd556ac9b918b35f82616ff)
@@ -9,15 +9,15 @@
 
 <!-- micro versions -->
-<!--<!ENTITY nss-download-http "https://&nss-url;/NSS_3_&nss-minor-version;_&nss-micro-version;_RTM/src/nss-&nss-version;.tar.gz">-->
+<!ENTITY nss-download-http "https://&nss-url;/NSS_3_&nss-minor-version;_&nss-micro-version;_RTM/src/nss-&nss-version;.tar.gz">
 
 <!-- no micro versions -->
-<!ENTITY nss-download-http "https://&nss-url;/NSS_3_&nss-minor-version;_RTM/src/nss-&nss-version;.tar.gz">
+<!--<!ENTITY nss-download-http "https://&nss-url;/NSS_3_&nss-minor-version;_RTM/src/nss-&nss-version;.tar.gz">-->
 
   <!ENTITY nss-download-ftp " ">
-  <!ENTITY nss-md5sum        "64f5b4719d26e01257ba5f0fa19acf20">
-  <!ENTITY nss-size          "77 MB">
+  <!ENTITY nss-md5sum        "bf604feb9be0a89eeca241ce82a95186">
+  <!ENTITY nss-size          "78 MB">
   <!-- 50 MB increase is due to new test files, see #12187 -->
-  <!ENTITY nss-buildsize     "291 MB (add 118 MB for tests)">
-  <!ENTITY nss-time          "2.7 SBU with parallelism=4 (add 20 SBU for tests)">
+  <!ENTITY nss-buildsize     "291 MB (add 195 MB for tests)">
+  <!ENTITY nss-time          "2.4 SBU with parallelism=4 (add 34 SBU for tests)">
 ]>
 
Index: xsoft/other/pidgin.xml
===================================================================
--- xsoft/other/pidgin.xml	(revision aecb3434617673378fe1854ffdf9d5b38bca5f46)
+++ xsoft/other/pidgin.xml	(revision 209ca230a5eed37e5dd556ac9b918b35f82616ff)
@@ -7,8 +7,8 @@
   <!ENTITY pidgin-download-http "&sourceforge-dl;/pidgin/pidgin-&pidgin-version;.tar.bz2">
   <!ENTITY pidgin-download-ftp  " ">
-  <!ENTITY pidgin-md5sum        "e0afa39c63b7b0e7eccaab254e276e35">
+  <!ENTITY pidgin-md5sum        "e135798bcf952ddb3c9e030c4b160c3e">
   <!ENTITY pidgin-size          "8.4 MB">
   <!ENTITY pidgin-buildsize     "277 MB (with tests and docs)">
-  <!ENTITY pidgin-time          "0.6 SBU (using parallelism=4; with tests and docs)">
+  <!ENTITY pidgin-time          "0.7 SBU (using parallelism=4; with tests and docs)">
 ]>
 
@@ -277,5 +277,5 @@
       <para>
         <filename>~/.purple/*</filename> and
-        <filename>~/.gtkrc-02</filename>
+        <filename>~/.gtkrc-2.0</filename>
       </para>
 
@@ -285,5 +285,5 @@
 
       <indexterm zone="pidgin pidgin-config">
-        <primary sortas="e-AA.gtkrc-02">~/.gtkrc-02</primary>
+        <primary sortas="e-AA.gtkrc-20">~/.gtkrc-2.0</primary>
       </indexterm>
     </sect3>
@@ -294,7 +294,7 @@
         Most configuration can be accomplished by using the various preference
         settings inside the programs. Additionally, you can create a
-        <filename>~/.gtkrc-02</filename> file which can store gtk+-2 theme
+        <filename>~/.gtkrc-2.0</filename> file which can store gtk+-2 theme
         settings that affect <application>Pidgin</application> and other Gtk+ 2
-        applications. Note that an example <filename>gtkrc-02</filename> file
+        applications. Note that an example <filename>gtkrc-2.0</filename> file
         was installed during the package installation and can be used as a
         starting point or reference.