Index: archive/gnome/tracker-miners.xml
===================================================================
--- archive/gnome/tracker-miners.xml	(revision 210fb9042eb96a0ee63865f78da72a393bdfff73)
+++ archive/gnome/tracker-miners.xml	(revision 210fb9042eb96a0ee63865f78da72a393bdfff73)
@@ -0,0 +1,182 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+
+  <!ENTITY tracker-miners-download-http "&gnome-download-http;/tracker-miners/2.3/tracker-miners-&tracker-miners-version;.tar.xz">
+  <!ENTITY tracker-miners-download-ftp  "&gnome-download-ftp;/tracker-miners/2.3/tracker-miners-&tracker-miners-version;.tar.xz">
+  <!ENTITY tracker-miners-md5sum        "0bbcab133ed33ccbf65923020f99e1cc">
+  <!ENTITY tracker-miners-size          "3.0 MB">
+  <!ENTITY tracker-miners-buildsize     "28 MB (with tests)">
+  <!ENTITY tracker-miners-time          "1.0 SBU (with tests)">
+]>
+
+<sect1 id="tracker-miners" xreflabel="tracker-miners-&tracker-miners-version;">
+  <?dbhtml filename="tracker-miners.html"?>
+
+  <sect1info>
+    <othername>$LastChangedBy$</othername>
+    <date>$Date$</date>
+  </sect1info>
+
+  <title>Tracker-miners-&tracker-miners-version;</title>
+
+  <indexterm zone="tracker-miners">
+    <primary sortas="a-tracker-miners">tracker-miners</primary>
+  </indexterm>
+
+  <sect2 role="package">
+    <title>Introduction to Tracker-miners</title>
+
+    <para>
+      The <application>Tracker-miners</application> package contains a set of
+      data extractors for Tracker.
+    </para>
+
+    &lfs101_checked;
+
+    <bridgehead renderas="sect3">Package Information</bridgehead>
+    <itemizedlist spacing="compact">
+      <listitem>
+        <para>
+          Download (HTTP): <ulink url="&tracker-miners-download-http;"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download (FTP): <ulink url="&tracker-miners-download-ftp;"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download MD5 sum: &tracker-miners-md5sum;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download size: &tracker-miners-size;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Estimated disk space required: &tracker-miners-buildsize;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Estimated build time: &tracker-miners-time;
+        </para>
+      </listitem>
+    </itemizedlist>
+           
+    <bridgehead renderas="sect3">Tracker-miners Dependencies</bridgehead>
+
+    <bridgehead renderas="sect4">Required</bridgehead>
+    <para role="required">
+      <xref linkend="gst10-plugins-base"/>,
+      <xref linkend="tracker"/>,
+      <xref linkend="exempi"/>, and
+      <xref linkend="gexiv2"/>
+    </para>
+
+    <bridgehead renderas="sect4">Recommended</bridgehead>
+    <para role="recommended">
+      <xref linkend="ffmpeg"/>,
+      <xref linkend="flac"/>,
+      <xref linkend="giflib"/>,
+      <xref linkend="icu"/>,
+      <xref linkend="libexif"/>,
+      <xref linkend="libgrss"/>,
+      <xref linkend="libgxps"/>, and
+      <xref linkend="poppler"/>
+    </para>
+
+    <bridgehead renderas="sect4">Optional</bridgehead>
+    <para role="optional">
+      <xref linkend="cmake"/>,
+      <xref linkend="dconf"/>,
+      <xref linkend="libgsf"/>,
+      <xref linkend="libseccomp"/>,
+      <xref linkend="taglib"/>,
+      <xref linkend="totem-pl-parser"/>,
+      <xref linkend="upower"/>,
+      <ulink url="https://github.com/lipnitsk/libcue">libcue</ulink>,
+      <ulink url="https://libosinfo.org">libosinfo</ulink>, and
+      <ulink url="https://gitlab.gnome.org/GNOME/gupnp">gupnp</ulink>
+    </para>
+
+    <para condition="html" role="usernotes">
+      User Notes: <ulink url="&blfs-wiki;/tracker-miners"/>
+    </para>
+  </sect2>
+
+  <sect2 role="installation">
+    <title>Installation of Tracker-miners</title>
+
+    <para>
+      Install <application>Tracker-miners</application> by running the following
+      commands:
+    </para>
+
+
+<screen><userinput>mkdir build &amp;&amp;
+cd    build &amp;&amp;
+
+meson --prefix=/usr .. &amp;&amp;
+ninja</userinput></screen>
+
+    <para>
+      To test the results, as the <systemitem class="username">root</systemitem>
+      user, issue: <command>ninja test</command>.
+      Eight tests, test-image-1, 300-miner-basic-ops, 310-fts-basic,
+      310-fts-basic, 311-fts-file-operations, 401-extractor-flac-cuesheet,
+      500-writeback-images, 501-writeback-image-details, and
+      502-writeback-audio are known to fail due to internal test
+      suite problems.
+      <!--Two tests, test-image-1 and functional-401-extractor-flac-cuesheet, 
+      are known to fail.-->
+      <!-- flac cuesheet is due to libcue not being installed. -->
+    </para>
+
+    <para>
+      Now, as the <systemitem class="username">root</systemitem> user:
+    </para>
+
+<screen role="root"><userinput>ninja install</userinput></screen>
+  </sect2>
+
+  <sect2 role="commands">
+    <title>Command Explanations</title>
+
+    <para>
+      <option>-Dminer_rss=false</option>: Use this option if you have not
+      installed the recommended dependency libgrss.
+    </para>
+  </sect2>
+
+  <sect2 role="content">
+    <title>Contents</title>
+
+    <segmentedlist>
+      <segtitle>Installed Programs</segtitle>
+      <segtitle>Installed Libraries</segtitle>
+      <segtitle>Installed Directories</segtitle>
+
+      <seglistitem>
+        <seg>
+          None
+        </seg>
+        <seg>
+          libtracker-extract.so, and
+          several modules under /usr/lib/tracker-miners-2.0.
+        </seg>
+        <seg>
+          /usr/lib/tracker-miners-2.0 and
+          /usr/share/tracker-miners
+        </seg>
+      </seglistitem>
+    </segmentedlist>
+  </sect2>
+
+</sect1>
Index: archive/gnome/tracker2.xml
===================================================================
--- archive/gnome/tracker2.xml	(revision 210fb9042eb96a0ee63865f78da72a393bdfff73)
+++ archive/gnome/tracker2.xml	(revision 210fb9042eb96a0ee63865f78da72a393bdfff73)
@@ -0,0 +1,229 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+
+  <!ENTITY tracker-download-http
+           "&gnome-download-http;/tracker/2.3/tracker-&tracker-version;.tar.xz">
+  <!ENTITY tracker-download-ftp
+           "&gnome-download-ftp;/tracker/2.3/tracker-&tracker-version;.tar.xz">
+  <!ENTITY tracker-md5sum        "f3c8baac2a3089f1c7af1dcb00547c97">
+  <!ENTITY tracker-size          "1.5 MB">
+  <!ENTITY tracker-buildsize     "262 MB (with tests)">
+  <!ENTITY tracker-time          "1.3 SBU (with tests)">
+]>
+
+<!-- Tracker2 + Tracker-Miners2 is needed for Brasero.
+     For Brasero, look for BRASERO_SEARCH in the configure output. -->
+
+<sect1 id="tracker" xreflabel="Tracker-&tracker-version;">
+  <?dbhtml filename="tracker.html"?>
+
+  <sect1info>
+    <othername>$LastChangedBy$</othername>
+    <date>$Date$</date>
+  </sect1info>
+
+  <title>Tracker-&tracker-version;</title>
+
+  <indexterm zone="tracker">
+    <primary sortas="a-Tracker">Tracker</primary>
+  </indexterm>
+
+  <sect2 role="package">
+    <title>Introduction to Tracker</title>
+
+    <para>
+      <application>Tracker</application> is the file indexing and search
+      provider used in the <application>GNOME</application> desktop environment.
+    </para>
+
+    &lfs101_checked;
+
+    <bridgehead renderas="sect3">Package Information</bridgehead>
+    <itemizedlist spacing="compact">
+      <listitem>
+        <para>
+          Download (HTTP): <ulink url="&tracker-download-http;"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download (FTP): <ulink url="&tracker-download-ftp;"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download MD5 sum: &tracker-md5sum;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download size: &tracker-size;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Estimated disk space required: &tracker-buildsize;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Estimated build time: &tracker-time;
+        </para>
+      </listitem>
+    </itemizedlist>
+
+    <bridgehead renderas="sect3">Tracker Dependencies</bridgehead>
+
+    <bridgehead renderas="sect4">Required</bridgehead>
+    <para role="required">
+      <xref linkend="json-glib"/>,
+      <xref linkend="libseccomp"/>,
+      <xref linkend="libsoup"/>, and
+      <xref linkend="vala"/>
+    </para>
+
+    <bridgehead renderas="sect4">Recommended</bridgehead>
+    <para role="recommended">
+      <xref linkend="gobject-introspection"/>,
+      <xref linkend="icu"/>,
+      <xref linkend="NetworkManager"/>,
+      <xref linkend="sqlite"/>, and
+      <xref linkend="upower"/>
+    </para>
+
+    <bridgehead renderas="sect4">Optional</bridgehead>
+    <para role="optional">
+      <xref linkend="gtk-doc"/>,
+      <ulink url="https://github.com/scop/bash-completion/">bash-completion</ulink>, and
+      <ulink url="https://github.com/snowballstem/snowball/">libstemmer</ulink>
+      <!-- Python2 used to be a dependency until 2.2.1 -->
+    </para>
+
+    <para condition="html" role="usernotes">User Notes:
+      <ulink url="&blfs-wiki;/tracker"/>
+    </para>
+  </sect2>
+
+  <sect2 role="installation">
+    <title>Installation of Tracker</title>
+
+    <para>
+      Install <application>Tracker</application> by running the following
+      commands:
+    </para>
+
+<screen><userinput>mkdir build &amp;&amp;
+cd    build &amp;&amp;
+
+meson --prefix=/usr .. &amp;&amp;
+ninja</userinput></screen>
+
+    <para>
+      To test the results, issue: <command>ninja test</command>. The tests
+      should be run from a graphical session. The test named steroids may
+      get skipped and cause Meson to report that the tests failed.
+    </para>
+
+    <para>
+      Now, as the <systemitem class="username">root</systemitem> user:
+    </para>
+
+<screen role="root"><userinput>ninja install</userinput></screen>
+
+  </sect2>
+
+<!--
+  <sect2 role="commands">
+    <title>Command Explanations</title>
+    <para>
+      <command>glib-compile-schemas ...</command>:  Compiles the settings
+      schema installed by this package to prevent a runtime error in
+      tracker-store.
+    </para>
+  </sect2>
+-->
+
+  <sect2 role="content">
+    <title>Contents</title>
+
+    <segmentedlist>
+      <segtitle>Installed Programs</segtitle>
+      <segtitle>Installed Library</segtitle>
+      <segtitle>Installed Directories</segtitle>
+
+      <seglistitem>
+        <seg>
+          tracker
+        </seg>
+        <seg>
+          libtracker-control-2.0.so, libtracker-miner-2.0.so, and 
+          libtracker-sparql-2.0.so
+        </seg>
+        <seg>
+          /usr/{include,lib}/tracker-2.0, /usr/share/tracker, and
+          /usr/share/gtk-doc/libtracker-{control,miner,sparql}
+        </seg>
+      </seglistitem>
+    </segmentedlist>
+
+    <variablelist>
+      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
+      <?dbfo list-presentation="list"?>
+      <?dbhtml list-presentation="table"?>
+
+      <varlistentry id="tracker-prog">
+        <term><command>tracker</command></term>
+        <listitem>
+          <para>
+            is a control program for the indexer
+          </para>
+          <indexterm zone="tracker tracker-prog">
+            <primary sortas="b-tracker">tracker</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="libtracker-control">
+        <term><filename class="libraryfile">libtracker-control-2.0.so</filename></term>
+        <listitem>
+          <para>
+            contains control and monitoring functions for miners
+          </para>
+          <indexterm zone="tracker libtracker-control">
+            <primary sortas="c-libtracker-control">libtracker-control-2.0.so</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="libtracker-miner">
+        <term><filename class="libraryfile">libtracker-miner-2.0.so</filename></term>
+        <listitem>
+          <para>
+            contains data mining functions
+          </para>
+          <indexterm zone="tracker libtracker-miner">
+            <primary sortas="c-libtracker-miner">libtracker-miner-2.0.so</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="libtracker-sparql">
+        <term><filename class="libraryfile">libtracker-sparql-2.0.so</filename></term>
+        <listitem>
+          <para>
+            contains resource management and database functions
+          </para>
+          <indexterm zone="tracker libtracker-sparql">
+            <primary sortas="c-libtracker-sparql">libtracker-sparql-2.0.so</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+    </variablelist>
+
+  </sect2>
+
+</sect1>
Index: gnome/applications/brasero.xml
===================================================================
--- gnome/applications/brasero.xml	(revision fd55434c178c6cd0eada3e33fa3b9a9827c335cb)
+++ gnome/applications/brasero.xml	(revision 210fb9042eb96a0ee63865f78da72a393bdfff73)
@@ -97,6 +97,5 @@
     <bridgehead renderas="sect4">Optional</bridgehead>
     <para role="optional">
-      <xref linkend="gtk-doc"/> and
-      <xref linkend="tracker"/>
+      <xref linkend="gtk-doc"/>
     </para>
 
Index: gnome/platform/platform.xml
===================================================================
--- gnome/platform/platform.xml	(revision fd55434c178c6cd0eada3e33fa3b9a9827c335cb)
+++ gnome/platform/platform.xml	(revision 210fb9042eb96a0ee63865f78da72a393bdfff73)
@@ -49,7 +49,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="folks.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="gfbgraph.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="tracker.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="tracker3.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="tracker-miners.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="tracker3-miners.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="gsound.xml"/>
Index: ome/platform/tracker-miners.xml
===================================================================
--- gnome/platform/tracker-miners.xml	(revision fd55434c178c6cd0eada3e33fa3b9a9827c335cb)
+++ 	(revision )
@@ -1,182 +1,0 @@
-<?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
-   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
-  <!ENTITY % general-entities SYSTEM "../../general.ent">
-  %general-entities;
-
-  <!ENTITY tracker-miners-download-http "&gnome-download-http;/tracker-miners/2.3/tracker-miners-&tracker-miners-version;.tar.xz">
-  <!ENTITY tracker-miners-download-ftp  "&gnome-download-ftp;/tracker-miners/2.3/tracker-miners-&tracker-miners-version;.tar.xz">
-  <!ENTITY tracker-miners-md5sum        "0bbcab133ed33ccbf65923020f99e1cc">
-  <!ENTITY tracker-miners-size          "3.0 MB">
-  <!ENTITY tracker-miners-buildsize     "28 MB (with tests)">
-  <!ENTITY tracker-miners-time          "1.0 SBU (with tests)">
-]>
-
-<sect1 id="tracker-miners" xreflabel="tracker-miners-&tracker-miners-version;">
-  <?dbhtml filename="tracker-miners.html"?>
-
-  <sect1info>
-    <othername>$LastChangedBy$</othername>
-    <date>$Date$</date>
-  </sect1info>
-
-  <title>Tracker-miners-&tracker-miners-version;</title>
-
-  <indexterm zone="tracker-miners">
-    <primary sortas="a-tracker-miners">tracker-miners</primary>
-  </indexterm>
-
-  <sect2 role="package">
-    <title>Introduction to Tracker-miners</title>
-
-    <para>
-      The <application>Tracker-miners</application> package contains a set of
-      data extractors for Tracker.
-    </para>
-
-    &lfs101_checked;
-
-    <bridgehead renderas="sect3">Package Information</bridgehead>
-    <itemizedlist spacing="compact">
-      <listitem>
-        <para>
-          Download (HTTP): <ulink url="&tracker-miners-download-http;"/>
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          Download (FTP): <ulink url="&tracker-miners-download-ftp;"/>
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          Download MD5 sum: &tracker-miners-md5sum;
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          Download size: &tracker-miners-size;
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          Estimated disk space required: &tracker-miners-buildsize;
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          Estimated build time: &tracker-miners-time;
-        </para>
-      </listitem>
-    </itemizedlist>
-           
-    <bridgehead renderas="sect3">Tracker-miners Dependencies</bridgehead>
-
-    <bridgehead renderas="sect4">Required</bridgehead>
-    <para role="required">
-      <xref linkend="gst10-plugins-base"/>,
-      <xref linkend="tracker"/>,
-      <xref linkend="exempi"/>, and
-      <xref linkend="gexiv2"/>
-    </para>
-
-    <bridgehead renderas="sect4">Recommended</bridgehead>
-    <para role="recommended">
-      <xref linkend="ffmpeg"/>,
-      <xref linkend="flac"/>,
-      <xref linkend="giflib"/>,
-      <xref linkend="icu"/>,
-      <xref linkend="libexif"/>,
-      <xref linkend="libgrss"/>,
-      <xref linkend="libgxps"/>, and
-      <xref linkend="poppler"/>
-    </para>
-
-    <bridgehead renderas="sect4">Optional</bridgehead>
-    <para role="optional">
-      <xref linkend="cmake"/>,
-      <xref linkend="dconf"/>,
-      <xref linkend="libgsf"/>,
-      <xref linkend="libseccomp"/>,
-      <xref linkend="taglib"/>,
-      <xref linkend="totem-pl-parser"/>,
-      <xref linkend="upower"/>,
-      <ulink url="https://github.com/lipnitsk/libcue">libcue</ulink>,
-      <ulink url="https://libosinfo.org">libosinfo</ulink>, and
-      <ulink url="https://gitlab.gnome.org/GNOME/gupnp">gupnp</ulink>
-    </para>
-
-    <para condition="html" role="usernotes">
-      User Notes: <ulink url="&blfs-wiki;/tracker-miners"/>
-    </para>
-  </sect2>
-
-  <sect2 role="installation">
-    <title>Installation of Tracker-miners</title>
-
-    <para>
-      Install <application>Tracker-miners</application> by running the following
-      commands:
-    </para>
-
-
-<screen><userinput>mkdir build &amp;&amp;
-cd    build &amp;&amp;
-
-meson --prefix=/usr .. &amp;&amp;
-ninja</userinput></screen>
-
-    <para>
-      To test the results, as the <systemitem class="username">root</systemitem>
-      user, issue: <command>ninja test</command>.
-      Eight tests, test-image-1, 300-miner-basic-ops, 310-fts-basic,
-      310-fts-basic, 311-fts-file-operations, 401-extractor-flac-cuesheet,
-      500-writeback-images, 501-writeback-image-details, and
-      502-writeback-audio are known to fail due to internal test
-      suite problems.
-      <!--Two tests, test-image-1 and functional-401-extractor-flac-cuesheet, 
-      are known to fail.-->
-      <!-- flac cuesheet is due to libcue not being installed. -->
-    </para>
-
-    <para>
-      Now, as the <systemitem class="username">root</systemitem> user:
-    </para>
-
-<screen role="root"><userinput>ninja install</userinput></screen>
-  </sect2>
-
-  <sect2 role="commands">
-    <title>Command Explanations</title>
-
-    <para>
-      <option>-Dminer_rss=false</option>: Use this option if you have not
-      installed the recommended dependency libgrss.
-    </para>
-  </sect2>
-
-  <sect2 role="content">
-    <title>Contents</title>
-
-    <segmentedlist>
-      <segtitle>Installed Programs</segtitle>
-      <segtitle>Installed Libraries</segtitle>
-      <segtitle>Installed Directories</segtitle>
-
-      <seglistitem>
-        <seg>
-          None
-        </seg>
-        <seg>
-          libtracker-extract.so, and
-          several modules under /usr/lib/tracker-miners-2.0.
-        </seg>
-        <seg>
-          /usr/lib/tracker-miners-2.0 and
-          /usr/share/tracker-miners
-        </seg>
-      </seglistitem>
-    </segmentedlist>
-  </sect2>
-
-</sect1>
Index: ome/platform/tracker.xml
===================================================================
--- gnome/platform/tracker.xml	(revision fd55434c178c6cd0eada3e33fa3b9a9827c335cb)
+++ 	(revision )
@@ -1,229 +1,0 @@
-<?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
-   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
-  <!ENTITY % general-entities SYSTEM "../../general.ent">
-  %general-entities;
-
-  <!ENTITY tracker-download-http
-           "&gnome-download-http;/tracker/2.3/tracker-&tracker-version;.tar.xz">
-  <!ENTITY tracker-download-ftp
-           "&gnome-download-ftp;/tracker/2.3/tracker-&tracker-version;.tar.xz">
-  <!ENTITY tracker-md5sum        "f3c8baac2a3089f1c7af1dcb00547c97">
-  <!ENTITY tracker-size          "1.5 MB">
-  <!ENTITY tracker-buildsize     "262 MB (with tests)">
-  <!ENTITY tracker-time          "1.3 SBU (with tests)">
-]>
-
-<!-- Tracker2 + Tracker-Miners2 is needed for Brasero.
-     For Brasero, look for BRASERO_SEARCH in the configure output. -->
-
-<sect1 id="tracker" xreflabel="Tracker-&tracker-version;">
-  <?dbhtml filename="tracker.html"?>
-
-  <sect1info>
-    <othername>$LastChangedBy$</othername>
-    <date>$Date$</date>
-  </sect1info>
-
-  <title>Tracker-&tracker-version;</title>
-
-  <indexterm zone="tracker">
-    <primary sortas="a-Tracker">Tracker</primary>
-  </indexterm>
-
-  <sect2 role="package">
-    <title>Introduction to Tracker</title>
-
-    <para>
-      <application>Tracker</application> is the file indexing and search
-      provider used in the <application>GNOME</application> desktop environment.
-    </para>
-
-    &lfs101_checked;
-
-    <bridgehead renderas="sect3">Package Information</bridgehead>
-    <itemizedlist spacing="compact">
-      <listitem>
-        <para>
-          Download (HTTP): <ulink url="&tracker-download-http;"/>
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          Download (FTP): <ulink url="&tracker-download-ftp;"/>
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          Download MD5 sum: &tracker-md5sum;
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          Download size: &tracker-size;
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          Estimated disk space required: &tracker-buildsize;
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          Estimated build time: &tracker-time;
-        </para>
-      </listitem>
-    </itemizedlist>
-
-    <bridgehead renderas="sect3">Tracker Dependencies</bridgehead>
-
-    <bridgehead renderas="sect4">Required</bridgehead>
-    <para role="required">
-      <xref linkend="json-glib"/>,
-      <xref linkend="libseccomp"/>,
-      <xref linkend="libsoup"/>, and
-      <xref linkend="vala"/>
-    </para>
-
-    <bridgehead renderas="sect4">Recommended</bridgehead>
-    <para role="recommended">
-      <xref linkend="gobject-introspection"/>,
-      <xref linkend="icu"/>,
-      <xref linkend="NetworkManager"/>,
-      <xref linkend="sqlite"/>, and
-      <xref linkend="upower"/>
-    </para>
-
-    <bridgehead renderas="sect4">Optional</bridgehead>
-    <para role="optional">
-      <xref linkend="gtk-doc"/>,
-      <ulink url="https://github.com/scop/bash-completion/">bash-completion</ulink>, and
-      <ulink url="https://github.com/snowballstem/snowball/">libstemmer</ulink>
-      <!-- Python2 used to be a dependency until 2.2.1 -->
-    </para>
-
-    <para condition="html" role="usernotes">User Notes:
-      <ulink url="&blfs-wiki;/tracker"/>
-    </para>
-  </sect2>
-
-  <sect2 role="installation">
-    <title>Installation of Tracker</title>
-
-    <para>
-      Install <application>Tracker</application> by running the following
-      commands:
-    </para>
-
-<screen><userinput>mkdir build &amp;&amp;
-cd    build &amp;&amp;
-
-meson --prefix=/usr .. &amp;&amp;
-ninja</userinput></screen>
-
-    <para>
-      To test the results, issue: <command>ninja test</command>. The tests
-      should be run from a graphical session. The test named steroids may
-      get skipped and cause Meson to report that the tests failed.
-    </para>
-
-    <para>
-      Now, as the <systemitem class="username">root</systemitem> user:
-    </para>
-
-<screen role="root"><userinput>ninja install</userinput></screen>
-
-  </sect2>
-
-<!--
-  <sect2 role="commands">
-    <title>Command Explanations</title>
-    <para>
-      <command>glib-compile-schemas ...</command>:  Compiles the settings
-      schema installed by this package to prevent a runtime error in
-      tracker-store.
-    </para>
-  </sect2>
--->
-
-  <sect2 role="content">
-    <title>Contents</title>
-
-    <segmentedlist>
-      <segtitle>Installed Programs</segtitle>
-      <segtitle>Installed Library</segtitle>
-      <segtitle>Installed Directories</segtitle>
-
-      <seglistitem>
-        <seg>
-          tracker
-        </seg>
-        <seg>
-          libtracker-control-2.0.so, libtracker-miner-2.0.so, and 
-          libtracker-sparql-2.0.so
-        </seg>
-        <seg>
-          /usr/{include,lib}/tracker-2.0, /usr/share/tracker, and
-          /usr/share/gtk-doc/libtracker-{control,miner,sparql}
-        </seg>
-      </seglistitem>
-    </segmentedlist>
-
-    <variablelist>
-      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
-      <?dbfo list-presentation="list"?>
-      <?dbhtml list-presentation="table"?>
-
-      <varlistentry id="tracker-prog">
-        <term><command>tracker</command></term>
-        <listitem>
-          <para>
-            is a control program for the indexer
-          </para>
-          <indexterm zone="tracker tracker-prog">
-            <primary sortas="b-tracker">tracker</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry id="libtracker-control">
-        <term><filename class="libraryfile">libtracker-control-2.0.so</filename></term>
-        <listitem>
-          <para>
-            contains control and monitoring functions for miners
-          </para>
-          <indexterm zone="tracker libtracker-control">
-            <primary sortas="c-libtracker-control">libtracker-control-2.0.so</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry id="libtracker-miner">
-        <term><filename class="libraryfile">libtracker-miner-2.0.so</filename></term>
-        <listitem>
-          <para>
-            contains data mining functions
-          </para>
-          <indexterm zone="tracker libtracker-miner">
-            <primary sortas="c-libtracker-miner">libtracker-miner-2.0.so</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry id="libtracker-sparql">
-        <term><filename class="libraryfile">libtracker-sparql-2.0.so</filename></term>
-        <listitem>
-          <para>
-            contains resource management and database functions
-          </para>
-          <indexterm zone="tracker libtracker-sparql">
-            <primary sortas="c-libtracker-sparql">libtracker-sparql-2.0.so</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-    </variablelist>
-
-  </sect2>
-
-</sect1>