Index: general/genlib/libgrss.xml
===================================================================
--- general/genlib/libgrss.xml	(revision 215c728b2bb9039221640b589e6de0e7a4c1b540)
+++ general/genlib/libgrss.xml	(revision 215c728b2bb9039221640b589e6de0e7a4c1b540)
@@ -0,0 +1,171 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+
+  <!ENTITY libgrss-download-http "&gnome-download-http;/libgrss/0.7/libgrss-0.7.0.tar.xz">
+  <!ENTITY libgrss-download-ftp  "&gnome-download-ftp;/libgrss/0.7/libgrss-0.7.0.tar.xz">
+  <!ENTITY libgrss-md5sum        "7c0ee46a82dc0e9610183fe9ef8c7c1d">
+  <!ENTITY libgrss-size          "356 KB">
+  <!ENTITY libgrss-buildsize     "10 MB">
+  <!ENTITY libgrss-time          "0.1 SBU">
+]>
+
+<sect1 id="libgrss" xreflabel="libgrss-&libgrss-version;">
+  <?dbhtml filename="libgrss.html"?>
+
+  <sect1info>
+    <othername>$LastChangedBy: renodr $</othername>
+    <date>$Date: 2019-04-10 03:17:14 -0500 (Wed, 10 Apr 2019) $</date>
+  </sect1info>
+
+  <title>Libgrss-&libgrss-version;</title>
+
+  <indexterm zone="libgrss">
+    <primary sortas="a-libgrss">libgrss</primary>
+  </indexterm>
+
+  <sect2 role="package">
+    <title>Introduction to Libgrss</title>
+
+    <para>
+      The <application>libgrss</application> package contains a library
+      designed to manipulate RSS and Atom feeds.
+    </para>
+
+    &lfs84_checked;
+
+    <bridgehead renderas="sect3">Package Information</bridgehead>
+    <itemizedlist spacing="compact">
+      <listitem>
+        <para>
+          Download (HTTP): <ulink url="&libgrss-download-http;"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download (FTP): <ulink url="&libgrss-download-ftp;"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download MD5 sum: &libgrss-md5sum;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download size: &libgrss-size;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Estimated disk space required: &libgrss-buildsize;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Estimated build time: &libgrss-time;
+        </para>
+      </listitem>
+    </itemizedlist>
+
+    <bridgehead renderas="sect3">Additional Downloads</bridgehead>
+    <itemizedlist spacing="compact">
+      <listitem>
+        <para>
+          Required patch:
+          <ulink url="&patch-root;/libgrss-&libgrss-version;-bugfixes-1.patch"/>
+        </para>
+      </listitem>
+    </itemizedlist>
+
+    <bridgehead renderas="sect3">Libgrss Dependencies</bridgehead>
+
+    <bridgehead renderas="sect4">Required</bridgehead>
+    <para role="required">
+      <xref linkend="libsoup"/>
+    </para>
+
+    <para condition="html" role="usernotes">
+      User Notes: <ulink url="&blfs-wiki;/libgrss"/>
+    </para>
+  </sect2>
+
+  <sect2 role="installation">
+    <title>Installation of Libgrss</title>
+
+    <para>
+      Install <application>Libgrss</application> by running the following
+      commands:
+    </para>
+
+
+<screen><userinput>patch -Np1 -i ../libgrss-&libgrss-version;-bugfixes-1.patch &amp;&amp;
+autoreconf -fiv &amp;&amp;
+./configure --prefix=/usr --disable-static &amp;&amp;
+make</userinput></screen>
+
+    <para>
+      To test the results, issue: <command>make check</command>.
+    </para>
+
+    <para>
+      Now, as the <systemitem class="username">root</systemitem> user:
+    </para>
+
+<screen role="root"><userinput>make install</userinput></screen>
+  </sect2>
+
+  <sect2 role="commands">
+    <title>Command Explanations</title>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+      href="../../xincludes/static-libraries.xml"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../../xincludes/gtk-doc-rebuild.xml"/>
+
+  </sect2>
+
+  <sect2 role="content">
+    <title>Contents</title>
+
+    <segmentedlist>
+      <segtitle>Installed Programs</segtitle>
+      <segtitle>Installed Library</segtitle>
+      <segtitle>Installed Directories</segtitle>
+
+      <seglistitem>
+        <seg>
+          None
+        </seg>
+        <seg>
+          libgrss.so
+        </seg>
+        <seg>
+          /usr/include/libgrss and 
+          /usr/share/doc/libgrss-&libgrss-version;
+        </seg>
+      </seglistitem>
+    </segmentedlist>
+
+    <variablelist>
+      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
+      <?dbfo list-presentation="list"?>
+      <?dbhtml list-presentation="table"?>
+
+      <varlistentry id="libgrss-lib">
+        <term><filename class="libraryfile">libgrss.so</filename></term>
+        <listitem>
+          <para>
+            provides API functions for handling RSS feeds.
+          </para>
+          <indexterm zone="libgrss libgrss-lib">
+            <primary sortas="c-libgrss">libgrss.so</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+    </variablelist>
+  </sect2>
+</sect1>
Index: general/graphlib/glm.xml
===================================================================
--- general/graphlib/glm.xml	(revision 215c728b2bb9039221640b589e6de0e7a4c1b540)
+++ general/graphlib/glm.xml	(revision 215c728b2bb9039221640b589e6de0e7a4c1b540)
@@ -0,0 +1,163 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+
+  <!ENTITY glm-download-http "https://github.com/g-truc/glm/archive/&glm-version;/glm-&glm-version;.tar.gz">
+  <!ENTITY glm-download-ftp  " ">
+  <!ENTITY glm-md5sum        "e06e859bd80c5d6042f5c53630f385ec">
+  <!ENTITY glm-size          "4.4 MB">
+  <!ENTITY glm-buildsize     "50 MB">
+  <!ENTITY glm-time          "0.8 SBU">
+]>
+
+<sect1 id="glm" xreflabel="GLM-&glm-version;">
+  <?dbhtml filename="glm.html"?>
+
+  <sect1info>
+    <othername>$LastChangedBy: bdubbs $</othername>
+    <date>$Date: 2019-04-10 15:23:42 -0500 (Wed, 10 Apr 2019) $</date>
+  </sect1info>
+
+  <title>GLM-&glm-version;</title>
+
+  <indexterm zone="glm">
+    <primary sortas="a-GLM">GLM</primary>
+  </indexterm>
+
+  <sect2 role="package">
+    <title>Introduction to GLM</title>
+
+    <para>
+      OpenGL Mathematics (<application>GLM</application>) is a header-only C++
+      mathematics library for graphics software based on the OpenGL Shading
+      Language (GLSL) specifications. An extension system provides extended
+      capabilities such as matrix transformations and quaternions.
+    </para>
+
+    &lfs84_checked;
+
+    <bridgehead renderas="sect3">Package Information</bridgehead>
+    <itemizedlist spacing="compact">
+      <listitem>
+        <para>
+          Download (HTTP): <ulink url="&glm-download-http;"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download (FTP): <ulink url="&glm-download-ftp;"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download MD5 sum: &glm-md5sum;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download size: &glm-size;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Estimated disk space required: &glm-buildsize;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Estimated build time: &glm-time;
+        </para>
+      </listitem>
+    </itemizedlist>
+<!--
+    <note>
+      <para>
+        The <application>GLM</application> source tarball shown above
+        downloads with the correct name, glm-&glm-version;.tar.gz, if
+        using a browser such as Firefox. If you prefer to use a command line
+        program such as wget, you normally would obtain &glm-version;.tar.gz.
+        To obtain this package with the proper filename, run:
+
+<screen><userinput>wget -c https://github.com/g-truc/glm/archive/&glm-version;.tar.gz \
+     -O glm-&glm-version;.tar.gz</userinput></screen>
+        </para>
+      </note>
+-->
+    <bridgehead renderas="sect3">GLM Dependencies</bridgehead>
+
+    <bridgehead renderas="sect4">Required</bridgehead>
+    <para role="required">
+      <xref linkend="cmake"/>
+    </para>
+
+    <para condition="html" role="usernotes">
+      User Notes: <ulink url="&blfs-wiki;/GLM"/>
+    </para>
+  </sect2>
+
+  <sect2 role="installation">
+    <title>Installation of GLM</title>
+
+    <para>
+      Install <application>GLM</application> by running the following
+      commands:
+    </para>
+
+<screen><userinput>mkdir build &amp;&amp;
+cd build    &amp;&amp;
+
+cmake -DCMAKE_INSTALL_PREFIX=/usr   \
+      -DCMAKE_INSTALL_LIBDIR=lib .. &amp;&amp;
+make</userinput></screen>
+
+    <para>
+      To test the results, issue: <command>make test</command>.
+    </para>
+
+    <para>
+      Now, as the <systemitem class="username">root</systemitem> user:
+    </para>
+
+<screen role="root"><userinput>make install</userinput></screen>
+  </sect2>
+
+  <sect2 role="commands">
+    <title>Command Explanations</title>
+
+    <para>
+      <command>-DCMAKE_INSTALL_LIBDIR=lib ..</command>: Although no compiled
+      libraries are installed, this command ensures that the
+      <application>cmake</application> and
+      <application>pkg-config</application> files are installed into
+      <filename class="directory">/usr/lib</filename>.
+    </para>
+
+  </sect2>
+
+  <sect2 role="content">
+    <title>Contents</title>
+
+    <segmentedlist>
+      <segtitle>Installed Program</segtitle>
+      <segtitle>Installed Library</segtitle>
+      <segtitle>Installed Directory</segtitle>
+
+      <seglistitem>
+        <seg>
+          None.
+        </seg>
+        <seg>
+          None.
+        </seg>
+        <seg>
+          /usr/include/glm.
+        </seg>
+      </seglistitem>
+    </segmentedlist>
+
+    <!-- this package has no programs or libraries to describe -->
+
+  </sect2>
+</sect1>
Index: general/graphlib/libgxps.xml
===================================================================
--- general/graphlib/libgxps.xml	(revision 215c728b2bb9039221640b589e6de0e7a4c1b540)
+++ general/graphlib/libgxps.xml	(revision 215c728b2bb9039221640b589e6de0e7a4c1b540)
@@ -0,0 +1,220 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+
+  <!ENTITY libgxps-download-http "&gnome-download-http;/libgxps/0.3/libgxps-&libgxps-version;.tar.xz">
+  <!ENTITY libgxps-download-ftp  "&gnome-download-ftp;/libgxps/0.3/libgxps-&libgxps-version;.tar.xz">
+  <!ENTITY libgxps-md5sum        "ade83c264b3af2551a0dff9144478df8">
+  <!ENTITY libgxps-size          "92 KB">
+  <!ENTITY libgxps-buildsize     "6.0 MB">
+  <!ENTITY libgxps-time          "0.1 SBU">
+]>
+
+<sect1 id="libgxps" xreflabel="libgxps-&libgxps-version;">
+  <?dbhtml filename="libgxps.html"?>
+
+  <sect1info>
+    <othername>$LastChangedBy: renodr $</othername>
+    <date>$Date: 2019-04-10 03:17:14 -0500 (Wed, 10 Apr 2019) $</date>
+  </sect1info>
+
+  <title>Libgxps-&libgxps-version;</title>
+
+  <indexterm zone="libgxps">
+    <primary sortas="a-libgxps">libgxps</primary>
+  </indexterm>
+
+  <sect2 role="package">
+    <title>Introduction to libgxps</title>
+
+    <para>
+      The <application>libgxps</application> package provides an interface
+      to manipulate XPS documents.
+    </para>
+
+    &lfs84_checked;
+
+    <bridgehead renderas="sect3">Package Information</bridgehead>
+    <itemizedlist spacing="compact">
+      <listitem>
+        <para>
+          Download (HTTP): <ulink url="&libgxps-download-http;"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download (FTP): <ulink url="&libgxps-download-ftp;"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download MD5 sum: &libgxps-md5sum;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download size: &libgxps-size;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Estimated disk space required: &libgxps-buildsize;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Estimated build time: &libgxps-time;
+        </para>
+      </listitem>
+    </itemizedlist>
+
+    <bridgehead renderas="sect3">Libgxps Dependencies</bridgehead>
+
+    <bridgehead renderas="sect4">Required</bridgehead>
+    <para role="required">
+      <xref linkend="gtk3"/>,
+      <xref linkend="lcms2"/>,
+      <xref linkend="libarchive"/>,
+      <xref linkend="libjpeg"/>,
+      <xref linkend="libtiff"/>, and
+      <xref linkend="libxslt"/>
+    </para>
+
+    <bridgehead renderas="sect4">Optional</bridgehead>
+    <para role="optional">
+      <xref linkend="git"/> and
+      <xref linkend="gtk-doc"/>
+    </para>
+
+    <para condition="html" role="usernotes">
+      User Notes: <ulink url="&blfs-wiki;/libgxps"/>
+    </para>
+  </sect2>
+
+  <sect2 role="installation">
+    <title>Installation of Libgxps</title>
+
+    <para>
+      Install <application>Libgxps</application> by running the following
+      commands:
+    </para>
+
+<screen><userinput>mkdir build &amp;&amp;
+cd    build &amp;&amp;
+
+meson --prefix=/usr .. &amp;&amp;
+ninja</userinput></screen>
+
+    <para>
+      This package does not come with a test suite.
+    </para>
+
+    <para>
+      Now, as the <systemitem class="username">root</systemitem> user:
+    </para>
+
+<screen role="root"><userinput>ninja install</userinput></screen>
+  </sect2>
+
+  <sect2 role="content">
+    <title>Contents</title>
+
+    <segmentedlist>
+      <segtitle>Installed Programs</segtitle>
+      <segtitle>Installed Library</segtitle>
+      <segtitle>Installed Directories</segtitle>
+
+      <seglistitem>
+        <seg>
+          xpstojpeg, xpstopdf, xpstopng, xpstops, and xpstosvg
+        </seg>
+        <seg>
+          libgxps.so
+        </seg>
+        <seg>
+          /usr/include/libgxps
+        </seg>
+      </seglistitem>
+    </segmentedlist>
+
+    <variablelist>
+      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
+      <?dbfo list-presentation="list"?>
+      <?dbhtml list-presentation="table"?>
+
+      <varlistentry id="xpstojpeg">
+        <term><command>xpstojpeg</command></term>
+        <listitem>
+          <para>
+            converts XPS documents to a JPEG image.
+          </para>
+          <indexterm zone="libgxps xpstojpeg">
+            <primary sortas="b-xpstojpeg">xpstojpeg</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="xpstopdf">
+        <term><command>xpstopdf</command></term>
+        <listitem>
+          <para>
+            converts XPS documents to PDF format.
+          </para>
+          <indexterm zone="libgxps xpstopdf">
+            <primary sortas="b-xpstopdf">xpstopdf</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="xpstopng">
+        <term><command>xpstopng</command></term>
+        <listitem>
+          <para>
+            converts XPS documents to a PNG image.
+          </para>
+          <indexterm zone="libgxps xpstopng">
+            <primary sortas="b-xpstopng">xpstopng</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="xpstops">
+        <term><command>xpstops</command></term>
+        <listitem>
+          <para>
+            converts XPS documents to PostScript.
+          </para>
+          <indexterm zone="libgxps xpstops">
+            <primary sortas="b-xpstops">xpstops</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+      
+      <varlistentry id="xpstosvg">
+        <term><command>xpstosvg</command></term>
+        <listitem>
+          <para>
+            converts XPS documents to SVG images.
+          </para>
+          <indexterm zone="libgxps xpstosvg">
+            <primary sortas="b-xpstosvg">xpstosvg</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="libgxps-lib">
+        <term><filename class="libraryfile">libgxps.so</filename></term>
+        <listitem>
+          <para>
+            contains API functions for manipulating XPS documents.
+          </para>
+          <indexterm zone="libgxps libgxps-lib">
+            <primary sortas="c-libgxps">libgxps.so</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+    </variablelist>
+  </sect2>
+</sect1>
Index: gnome/platform/tracker-miners.xml
===================================================================
--- gnome/platform/tracker-miners.xml	(revision 215c728b2bb9039221640b589e6de0e7a4c1b540)
+++ gnome/platform/tracker-miners.xml	(revision 215c728b2bb9039221640b589e6de0e7a4c1b540)
@@ -0,0 +1,171 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+
+  <!ENTITY tracker-miners-download-http "&gnome-download-http;/tracker-miners/2.2/tracker-miners-&tracker-miners-version;.tar.xz">
+  <!ENTITY tracker-miners-download-ftp  "&gnome-download-ftp;/tracker-miners/2.2/tracker-miners-&tracker-miners-version;.tar.xz">
+  <!ENTITY tracker-miners-md5sum        "a95842d4cbffb7230bde7cd98f6a9afe">
+  <!ENTITY tracker-miners-size          "2.8 MB">
+  <!ENTITY tracker-miners-buildsize     "22 MB (including tests)">
+  <!ENTITY tracker-miners-time          "0.2 SBU (add 0.8 SBU for tests)">
+]>
+
+<sect1 id="tracker-miners" xreflabel="tracker-miners-&tracker-miners-version;">
+  <?dbhtml filename="tracker-miners.html"?>
+
+  <sect1info>
+    <othername>$LastChangedBy: bdubbs $</othername>
+    <date>$Date: 2019-05-03 13:44:14 -0500 (Fri, 03 May 2019) $</date>
+  </sect1info>
+
+  <title>Tracker-miners-&tracker-miners-version;</title>
+
+  <indexterm zone="tracker-miners">
+    <primary sortas="a-tracker-miners">tracker-miners</primary>
+  </indexterm>
+
+  <sect2 role="package">
+    <title>Introduction to Tracker-miners</title>
+
+    <para>
+      The <application>Tracker-miners</application> package contains a set of
+      data extractors for Tracker.
+    </para>
+
+    &lfs84_checked;
+
+    <bridgehead renderas="sect3">Package Information</bridgehead>
+    <itemizedlist spacing="compact">
+      <listitem>
+        <para>
+          Download (HTTP): <ulink url="&tracker-miners-download-http;"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download (FTP): <ulink url="&tracker-miners-download-ftp;"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download MD5 sum: &tracker-miners-md5sum;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download size: &tracker-miners-size;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Estimated disk space required: &tracker-miners-buildsize;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Estimated build time: &tracker-miners-time;
+        </para>
+      </listitem>
+    </itemizedlist>
+
+    <bridgehead renderas="sect3">Tracker-miners Dependencies</bridgehead>
+
+    <bridgehead renderas="sect4">Required</bridgehead>
+    <para role="required">
+      <xref linkend="gst10-plugins-base"/>,
+      <xref linkend="tracker"/>,
+      <xref linkend="exempi"/>, and
+      <xref linkend="gexiv2"/>
+    </para>
+
+    <bridgehead renderas="sect4">Recommended</bridgehead>
+    <para role="recommended">
+      <xref linkend="ffmpeg"/>,
+      <xref linkend="flac"/>,
+      <xref linkend="icu"/>,
+      <xref linkend="libexif"/>,
+      <xref linkend="libgrss"/>,
+      <xref linkend="libgxps"/>, and
+      <xref linkend="poppler"/>
+    </para>
+
+    <bridgehead renderas="sect4">Optional</bridgehead>
+    <para role="optional">
+      <xref linkend="cmake"/>,
+      <xref linkend="libgsf"/>,
+      <xref linkend="libseccomp"/>,
+      <xref linkend="taglib"/>,
+      <xref linkend="totem-pl-parser"/>,
+      <xref linkend="upower"/>,
+      <ulink url="https://github.com/lipnitsk/libcue">libcue</ulink>,
+      <ulink url="https://libosinfo.org">libosinfo</ulink>, and
+      <ulink url="https://gitlab.gnome.org/GNOME/gupnp">gupnp</ulink>
+    </para>
+
+    <para condition="html" role="usernotes">
+      User Notes: <ulink url="&blfs-wiki;/tracker-miners"/>
+    </para>
+  </sect2>
+
+  <sect2 role="installation">
+    <title>Installation of Tracker-miners</title>
+
+    <para>
+      Install <application>Tracker-miners</application> by running the following
+      commands:
+    </para>
+
+
+<screen><userinput>mkdir build &amp;&amp;
+cd    build &amp;&amp;
+
+meson --prefix=/usr .. &amp;&amp;
+ninja</userinput></screen>
+
+    <para>
+      To test the results, issue: <command>ninja test</command>.
+      One test, test-image-1, is known to fail.
+    </para>
+
+    <para>
+      Now, as the <systemitem class="username">root</systemitem> user:
+    </para>
+
+<screen role="root"><userinput>ninja install</userinput></screen>
+  </sect2>
+
+  <sect2 role="commands">
+    <title>Command Explanations</title>
+
+    <para>
+      <option>-Dminer_rss=false</option>: Use this option if you have not
+      installed the recommended dependency libgrss.
+    </para>
+  </sect2>
+
+  <sect2 role="content">
+    <title>Contents</title>
+
+    <segmentedlist>
+      <segtitle>Installed Programs</segtitle>
+      <segtitle>Installed Libraries</segtitle>
+      <segtitle>Installed Directories</segtitle>
+
+      <seglistitem>
+        <seg>
+          None
+        </seg>
+        <seg>
+          libtracker-extract.so, libtracker-miners-common.so, and
+          several modules under /usr/lib/tracker-miners-2.0.
+        </seg>
+        <seg>
+          /usr/lib/tracker-miners-2.0 and
+          /usr/share/tracker-miners
+        </seg>
+      </seglistitem>
+    </segmentedlist>
+  </sect2>
+</sect1>
Index: x/lib/glew.xml
===================================================================
--- x/lib/glew.xml	(revision 215c728b2bb9039221640b589e6de0e7a4c1b540)
+++ x/lib/glew.xml	(revision 215c728b2bb9039221640b589e6de0e7a4c1b540)
@@ -0,0 +1,200 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+
+  <!ENTITY glew-download-http "https://downloads.sourceforge.net/glew/glew-&glew-version;.tgz
+">
+  <!ENTITY glew-download-ftp  " ">
+  <!ENTITY glew-md5sum        "b2ab12331033ddfaa50dc39345343980">
+  <!ENTITY glew-size          "747 KB">
+  <!ENTITY glew-buildsize     "16 MB">
+  <!ENTITY glew-time          "less than 0.1 SBU">
+]>
+
+<sect1 id="glew" xreflabel="GLEW-&glew-version;">
+  <?dbhtml filename="glew.html"?>
+
+  <sect1info>
+    <othername>$LastChangedBy: ken $</othername>
+    <date>$Date: 2019-04-09 17:36:36 -0500 (Tue, 09 Apr 2019) $</date>
+  </sect1info>
+
+  <title>GLEW-&glew-version;</title>
+
+  <indexterm zone="glew">
+    <primary sortas="a-GLEW">GLEW</primary>
+  </indexterm>
+
+  <sect2 role="package">
+    <title>Introduction to GLEW</title>
+
+    <para>
+      <application>GLEW</application> is the OpenGL Extension Wrangler Library.
+    </para>
+
+    &lfs84_checked;
+
+    <bridgehead renderas="sect3">Package Information</bridgehead>
+    <itemizedlist spacing="compact">
+      <listitem>
+        <para>
+          Download (HTTP): <ulink url="&glew-download-http;"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download (FTP): <ulink url="&glew-download-ftp;"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download MD5 sum: &glew-md5sum;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download size: &glew-size;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Estimated disk space required: &glew-buildsize;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Estimated build time: &glew-time;
+        </para>
+      </listitem>
+    </itemizedlist>
+
+    <bridgehead renderas="sect3">glew Dependencies</bridgehead>
+
+    <bridgehead renderas="sect4">Required</bridgehead>
+    <para role="required">
+      <xref linkend="mesa"/>
+    </para>
+
+    <para condition="html" role="usernotes">
+      User Notes: <ulink url="&blfs-wiki;/GLEW"/>
+    </para>
+  </sect2>
+
+  <!--Required section-->
+  <sect2 role="installation">
+    <title>Installation of GLEW</title>
+
+    <para>
+      Install <application>GLEW</application> by running the following
+      commands:
+    </para>
+
+<screen><userinput>sed -i 's%lib64%lib%g' config/Makefile.linux &amp;&amp;
+sed -i -e '/glew.lib.static:/d' \
+       -e '/0644 .*STATIC/d'    \
+       -e 's/glew.lib.static//' Makefile     &amp;&amp;
+make</userinput></screen>
+
+    <para>
+      This package does not come with a test suite.
+    </para>
+
+    <para>
+      Now, as the <systemitem class="username">root</systemitem> user:
+    </para>
+
+<screen role="root"><userinput>make install.all</userinput></screen>
+  </sect2>
+
+  <!--Optional section-->
+  <sect2 role="commands">
+    <title>Command Explanations</title>
+
+    <para>
+      <command>sed -i 's%lib64%lib%g' ...</command>: This ensures that the
+      library is installed in <filename class="directory">/usr/lib</filename>.
+    </para>
+
+    <para>
+      <parameter>sed -i -e '/glew.lib.static:/d' ...</parameter>: This suppresses
+      the static library.
+    </para>
+
+    <para>
+      <command>make install.all</command>: This installs the programs as well as
+      the library.
+    </para>
+  </sect2>
+
+
+  <!--Required section-->
+  <sect2 role="content">
+    <title>Contents</title>
+
+    <segmentedlist>
+      <segtitle>Installed Programs</segtitle>
+      <segtitle>Installed Library</segtitle>
+      <segtitle>Installed Directory</segtitle>
+
+      <seglistitem>
+        <seg>
+          glewinfo, visualinfo.
+        </seg>
+        <seg>
+          libGLEW.so.
+        </seg>
+        <seg>
+          /usr/include/GL.
+        </seg>
+      </seglistitem>
+    </segmentedlist>
+
+    <variablelist>
+      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
+      <?dbfo list-presentation="list"?>
+      <?dbhtml list-presentation="table"?>
+
+      <!-- If the program or library name conflicts (is the same) as the
+      package name, add -prog or -lib to the varlistentry entity id
+      and the 2nd entry of the indexterm zone entity -->
+
+      <varlistentry id="glewinfo">
+        <term><command>glewinfo</command></term>
+        <listitem>
+          <para>
+            provides information about the supported extensions.
+          </para>
+          <indexterm zone="glew glewinfo">
+            <primary sortas="b-glewinfo">glewinfo</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="visualinfo">
+        <term><command>visualinfo</command></term>
+        <listitem>
+          <para>
+            is an extended version of glxinfo.
+          </para>
+          <indexterm zone="glew visualinfo">
+            <primary sortas="b-visualinfo">visualinfo</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="libGLEW.so">
+        <term><filename class="libraryfile">libGLEW.so</filename></term>
+        <listitem>
+          <para>
+            provides functions to access OpenGL extensions.
+          </para>
+          <indexterm zone="glew libGLEW.so">
+            <primary sortas="c-libGLEW.so">libGLEW.so</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+    </variablelist>
+  </sect2>
+</sect1>