Index: general/sysutils/cups-pk-helper.xml
===================================================================
--- general/sysutils/cups-pk-helper.xml	(revision 07c5c2ec2f856aed620f6d56363a7fe9558ba3c5)
+++ general/sysutils/cups-pk-helper.xml	(revision 216deaea541a590ace46c6263d99ff0bf1077139)
@@ -72,4 +72,14 @@
     </itemizedlist>
 
+    <bridgehead renderas="sect3">Additional Downloads</bridgehead>
+    <itemizedlist spacing="compact">
+      <listitem>
+        <para>
+          Required patch:
+          <ulink url="&patch-root;/cups-pk-helper-&cups-pk-helper-version;-consolidated_fixes-1.patch"/>
+        </para>
+      </listitem>
+    </itemizedlist>
+
     <bridgehead renderas="sect3">cups-pk-helper Dependencies</bridgehead>
 
@@ -87,4 +97,11 @@
   <sect2 role="installation">
     <title>Installation of cups-pk-helper</title>
+
+    <para>
+      First, fix some deprecated syntax that will prevent cups-pk-helper from
+      building on future versions of CUPS:
+    </para>
+
+<screen><userinput remap="pre">patch -Np1 -i ../cups-pk-helper-&cups-pk-helper-version;-consolidated_fixes-1.patch</userinput></screen>
 
     <para>
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 07c5c2ec2f856aed620f6d56363a7fe9558ba3c5)
+++ introduction/welcome/changelog.xml	(revision 216deaea541a590ace46c6263d99ff0bf1077139)
@@ -57,4 +57,16 @@
       <itemizedlist>
         <listitem>
+          <para>[renodr] - Adjust cups-pk-helper to no longer use deprecated
+          syntax that will cause issues with future versions of CUPS.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Adjust polkit-gnome to be able to pull user icons
+          again.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Update to abiword-3.0.5. Fixes
+          <ulink url="&blfs-ticket-root;15237">#15237</ulink>.</para>
+        </listitem>
+        <listitem>
           <para>[renodr] - Update to WebKitGTK+-2.32.2. Fixes
           <ulink url="&blfs-ticket-root;15258">#15258</ulink>.</para>
Index: networking/netutils/wireshark.xml
===================================================================
--- networking/netutils/wireshark.xml	(revision 07c5c2ec2f856aed620f6d56363a7fe9558ba3c5)
+++ networking/netutils/wireshark.xml	(revision 216deaea541a590ace46c6263d99ff0bf1077139)
@@ -116,4 +116,5 @@
     <bridgehead renderas="sect4">Optional</bridgehead>
     <para role="optional">
+      <xref linkend="asciidoctor"/>,
       <xref linkend="brotli"/>,
       <xref linkend="c-ares"/>,
@@ -129,5 +130,5 @@
       <xref linkend="sbc"/>,
       <xref linkend="speex"/>,
-      <ulink url="https://asciidoctor.org/">Asciidoctor</ulink>,
+      <!--<ulink url="https://asciidoctor.org/">Asciidoctor</ulink>,-->
       <ulink url="https://www.linphone.org/technical-corner/bcg729">BCG729</ulink>,
       <ulink url="https://github.com/TimothyGu/libilbc">libilbc</ulink>,
Index: packages.ent
===================================================================
--- packages.ent	(revision 07c5c2ec2f856aed620f6d56363a7fe9558ba3c5)
+++ packages.ent	(revision 216deaea541a590ace46c6263d99ff0bf1077139)
@@ -909,5 +909,5 @@
 <!-- Part X -->
 <!-- Chapter 39 -->
-<!ENTITY AbiWord-version              "3.0.4">
+<!ENTITY AbiWord-version              "3.0.5">
 <!ENTITY gnumeric-version             "1.12.50">
 <!ENTITY gnucash-version              "2.4.11">
Index: postlfs/security/polkit-gnome.xml
===================================================================
--- postlfs/security/polkit-gnome.xml	(revision 07c5c2ec2f856aed620f6d56363a7fe9558ba3c5)
+++ postlfs/security/polkit-gnome.xml	(revision 216deaea541a590ace46c6263d99ff0bf1077139)
@@ -73,9 +73,21 @@
     </itemizedlist>
 
+    <bridgehead renderas="sect3">Additional Downloads</bridgehead>
+    <itemizedlist spacing="compact">
+      <listitem>
+        <para>
+          Required patch:
+          <ulink url="&patch-root;/polkit-gnome-&polkit-gnome-version;-consolidated_fixes-1.patch"/>
+        </para>
+      </listitem>
+    </itemizedlist>
+
     <bridgehead renderas="sect3">Polkit GNOME Dependencies</bridgehead>
 
     <bridgehead renderas="sect4">Required</bridgehead>
     <para role="required">
-      <xref linkend="gtk3"/> and
+      <!-- due to the patch -->
+      <xref linkend="accountsservice"/>,
+      <xref linkend="gtk3"/>, and
       <xref linkend="polkit"/>
     </para>
@@ -88,4 +100,11 @@
   <sect2 role="installation">
     <title>Installation of Polkit GNOME</title>
+
+    <para>
+      First, apply some fixes that allow for the proper user icon to be used,
+      as well as some security fixes:
+    </para>
+
+<screen><userinput remap="pre">patch -Np1 -i ../polkit-gnome-&polkit-gnome-version;-consolidated_fixes-1.patch</userinput></screen>
 
     <para>
Index: xsoft/office/abiword.xml
===================================================================
--- xsoft/office/abiword.xml	(revision 07c5c2ec2f856aed620f6d56363a7fe9558ba3c5)
+++ xsoft/office/abiword.xml	(revision 216deaea541a590ace46c6263d99ff0bf1077139)
@@ -11,5 +11,5 @@
            "https://www.abisource.com/downloads/abiword/&AbiWord-version;/source/abiword-&AbiWord-version;.tar.gz">
   <!ENTITY AbiWord-download-ftp  " ">
-  <!ENTITY AbiWord-md5sum        "04e31887049a8c72297881bc153b77c4">
+  <!ENTITY AbiWord-md5sum        "a8f218b711450e4ccae43a0522e0e806">
   <!ENTITY AbiWord-size          "11 MB">
 
@@ -19,5 +19,5 @@
   <!ENTITY AbiWordDocs-size          "1.5 MB">
 
-  <!ENTITY AbiWord-buildsize     "605 MB, with docs (76 MB installed)">
+  <!ENTITY AbiWord-buildsize     "690 MB, with docs (76 MB installed)">
   <!ENTITY AbiWord-time          "2.4 SBU (Using parallelism=4, with docs)">
 ]>
@@ -97,4 +97,5 @@
         </para>
       </listitem>
+<!--
       <listitem>
         <para>
@@ -103,5 +104,7 @@
         </para>
       </listitem>
+-->
     </itemizedlist>
+
 
     <bridgehead renderas="sect3">AbiWord Dependencies</bridgehead>
@@ -163,4 +166,5 @@
     <title>Installation of AbiWord</title>
 
+<!--
     <para>
       First, fix a build failure when using GCC-11:
@@ -168,4 +172,5 @@
 
 <screen><userinput remap="pre">patch -Np1 -i ../abiword-&AbiWord-version;-gcc11_fixes-1.patch</userinput></screen>
+-->
 
     <para>